GNU logs - #49959, boring messages


Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: =?UTF-8?Q?=E9=87=8E=E5=AE=AE=E3=80=80=E8=B3=A2?= / NOMIYA Masaru <m.nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 09 Aug 2021 15:04:02 +0000
Resent-Message-ID: <handler.49959.B.16285214088238 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: report 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: 
To: 49959 <at> debbugs.gnu.org
X-Debbugs-Original-To: bug-gnu-emacs@HIDDEN
Received: via spool by submit <at> debbugs.gnu.org id=B.16285214088238
          (code B ref -1); Mon, 09 Aug 2021 15:04:02 +0000
Received: (at submit) by debbugs.gnu.org; 9 Aug 2021 15:03:28 +0000
Received: from localhost ([127.0.0.1]:57479 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD6oI-00028n-Kv
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 11:03:27 -0400
Received: from lists.gnu.org ([209.51.188.17]:48792)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <m.nomiya@HIDDEN>) id 1mD1Kq-0000jM-36
 for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 05:12:40 -0400
Received: from eggs.gnu.org ([2001:470:142:3::10]:38010)
 by lists.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.90_1) (envelope-from <m.nomiya@HIDDEN>)
 id 1mD1Kp-0005h0-Qo
 for bug-gnu-emacs@HIDDEN; Mon, 09 Aug 2021 05:12:39 -0400
Received: from mail-ot1-x331.google.com ([2607:f8b0:4864:20::331]:38700)
 by eggs.gnu.org with esmtps (TLS1.2:ECDHE_RSA_AES_128_GCM_SHA256:128)
 (Exim 4.90_1) (envelope-from <m.nomiya@HIDDEN>)
 id 1mD1Kn-0000tt-KT
 for bug-gnu-emacs@HIDDEN; Mon, 09 Aug 2021 05:12:39 -0400
Received: by mail-ot1-x331.google.com with SMTP id
 g5-20020a9d6b050000b02904f21e977c3eso17212010otp.5
 for <bug-gnu-emacs@HIDDEN>; Mon, 09 Aug 2021 02:12:35 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20161025;
 h=date:message-id:from:to:subject:user-agent:mime-version;
 bh=ZdQ7bKzk19DCcrJl6YWorr6mFzN3WX9bd5zqvVRQXPI=;
 b=IAAStOK97SKDGRiLgkQd7H6J3Af3cZ215fJArBc4iKgbzNhHDpDzZJbuHCUIyhO3mv
 hl6qN72h2AcUuyBXLVO4MyrEvufLsKSWE3peoIDgvtdBZADNUKZcVGD/ioaRE5LuhJOG
 2jqVPpB55vdZImpjovPayoE5QlgASUsEOLvo80C4RWGWNd+MPZi/QwB22wKLqVFe+mxY
 ePOmaNYols6faP+s2vGeGUoHMQCe+tBKYnC/5EOBlYRtShc6ytk1X7vB6pmxK9zdGKG0
 qvVaWzhF+qJT8ntPd6QW6PfQ9rqteB4cbFQfAAZWV20k773uD+Rqw2ThOOFIp/NrGPh8
 vMIg==
X-Google-DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed;
 d=1e100.net; s=20161025;
 h=x-gm-message-state:date:message-id:from:to:subject:user-agent
 :mime-version;
 bh=ZdQ7bKzk19DCcrJl6YWorr6mFzN3WX9bd5zqvVRQXPI=;
 b=SL4T6RKZN4QdBFW8tVrjWufly9kvF4NvqgScnLFfQWRJN91P7CkZ8SF1BO40GKVpQ5
 hTo+4tbDCuiFNv9Qa8rnXiRU/pkuVlQ/ONFbYvJ7IIptgP11s1X3xsKdDPcBgXZEg84q
 BX9Rk83pmQb+g7UlimdvwVXYLGIsTKe5W7sA4VvmHOTTKVTsygPNxgEJSt4bm5dEZBQ0
 Im88zXac8fs2KoSLfqGCfF6vqR1AjTJYN9oxdC9nmUaaIV8yokKo2FFSMuCDFnBrQMOQ
 vO6ssImvJygToGLLxswWBOMEObY+qhWJ7aDQUADSuJkQqhbnyk6nFR13CJILPY2eG0fq
 F6gg==
X-Gm-Message-State: AOAM533WZ1uleMRxLj/Zi+Vhfojwg26WnPRn7HwImrzGvLsQRYEMZSFQ
 yaLpUYeFtYEdkF0tALMEl5ofSP5VVSo=
X-Google-Smtp-Source: ABdhPJxqmtQ41R0CfVBq0QpYZMbLkgE2C567R9yJMVr4ZfNpmNIgr4fTbxV946Sr0SzJqvkvb/Cmzg==
X-Received: by 2002:a9d:51d2:: with SMTP id d18mr541807oth.216.1628500354871; 
 Mon, 09 Aug 2021 02:12:34 -0700 (PDT)
Received: from linux-egwc.gmail.com ([156.146.34.141])
 by smtp.gmail.com with ESMTPSA id l44sm762331otv.3.2021.08.09.02.12.33
 for <bug-gnu-emacs@HIDDEN>
 (version=TLS1_3 cipher=TLS_AES_256_GCM_SHA384 bits=256/256);
 Mon, 09 Aug 2021 02:12:34 -0700 (PDT)
Date: Mon, 09 Aug 2021 18:12:32 +0900
Message-ID: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
From: =?UTF-8?Q?=E9=87=8E=E5=AE=AE=E3=80=80=E8=B3=A2?= / NOMIYA Masaru
 <m.nomiya@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
Received-SPF: pass client-ip=2607:f8b0:4864:20::331;
 envelope-from=m.nomiya@HIDDEN; helo=mail-ot1-x331.google.com
X-Spam_score_int: 11
X-Spam_score: 1.1
X-Spam_bar: +
X-Spam_report: (1.1 / 5.0 requ) BAYES_00=-1.9, CHARSET_FARAWAY_HEADER=3.2,
 DKIM_SIGNED=0.1, DKIM_VALID=-0.1, DKIM_VALID_AU=-0.1, DKIM_VALID_EF=-0.1,
 FREEMAIL_FROM=0.001, RCVD_IN_DNSWL_NONE=-0.0001, SPF_HELO_NONE=0.001,
 SPF_PASS=-0.001 autolearn=ham autolearn_force=no
X-Spam_action: no action
X-Spam-Score: -1.3 (-)
X-Mailman-Approved-At: Mon, 09 Aug 2021 11:03:25 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -2.3 (--)

Hello.

With this pacth;

commit 483c5e953c12a95382bef4a3b6769a680c32fe86
Author: Martin Rudalics <rudalics@HIDDEN>
Date:   Wed May 5 10:26:32 2021 +0200

    Fix two GTK3 event handling issues
    
    * src/xterm.c (handle_one_xevent): For GTK3 PropertyNotify and
    MapNotify events explicitly request the stored frame sizes when
    the frame changes from iconified to a non-hidden state
    (Bug#24526).  For Expose events do not change the frame's
    visibility or iconified state.  For FocusIn events on GTK3 do
    not apply the fix for Bug#42655.  The latter two changes are to
    avoid that plain invisible frames get reported as iconified.

Emacs has often got a quasi freeze, not perfect freeze but doesn't
accept any openraion except quitting operation.

Sorry for the report only.

Regards.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Three young men died for Rationalization.
           Yet, Margaret Bloody Thatcher LIVES!"
                                            'Brassed Off'




Message sent:


Content-Disposition: inline
Content-Transfer-Encoding: quoted-printable
MIME-Version: 1.0
X-Mailer: MIME-tools 5.505 (Entity 5.505)
Content-Type: text/plain; charset=utf-8
X-Loop: help-debbugs@HIDDEN
From: help-debbugs@HIDDEN (GNU bug Tracking System)
To: =?UTF-8?Q?=E9=87=8E=E5=AE=AE=E3=80=80=E8=B3=A2?= / NOMIYA Masaru
 <m.nomiya@HIDDEN>
Subject: bug#49959: Acknowledgement (28.0.50; Emacs got quasi freeze)
Message-ID: <handler.49959.B.16285214088238.ack <at> debbugs.gnu.org>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
X-Gnu-PR-Message: ack 49959
X-Gnu-PR-Package: emacs
Reply-To: 49959 <at> debbugs.gnu.org
Date: Mon, 09 Aug 2021 15:04:03 +0000

Thank you for filing a new bug report with debbugs.gnu.org.

This is an automatically generated reply to let you know your message
has been received.

Your message is being forwarded to the package maintainers and other
interested parties for their attention; they will reply in due course.

Your message has been sent to the package maintainer(s):
 bug-gnu-emacs@HIDDEN

If you wish to submit further information on this problem, please
send it to 49959 <at> debbugs.gnu.org.

Please do not send mail to help-debbugs@HIDDEN unless you wish
to report a problem with the Bug-tracking system.

--=20
49959: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=3D49959
GNU Bug Tracking System
Contact help-debbugs@HIDDEN with problems


Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 9 Aug 2021 15:06:46 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Aug 09 11:06:46 2021
Received: from localhost ([127.0.0.1]:57486 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mD6rW-0002Ea-9E
	for submit <at> debbugs.gnu.org; Mon, 09 Aug 2021 11:06:46 -0400
Received: from quimby.gnus.org ([95.216.78.240]:38266)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mD6rU-0002EJ-02
 for control <at> debbugs.gnu.org; Mon, 09 Aug 2021 11:06:44 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=n83W8L2lEWj8psHQco1DCqXIdeIM+b5I7jujNPbpjNE=; b=tx8jH+AzivN4n/u//X8bWcprS4
 /X+NhZi7pLJM08aLFMRgsWWh+dIeLpWv+H3OiEtyWzIAIawth5zjA4WICVIMp4+o8mCQaxOG7btay
 EUa0YnquGzA6vWWVQSwg2Z2//0SlQCMBeesT5UBlEQbUkG6xkzb2qTvXIEFQMO3rVxVI=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mD6rL-0006Nk-Ev
 for control <at> debbugs.gnu.org; Mon, 09 Aug 2021 17:06:37 +0200
Date: Mon, 09 Aug 2021 17:06:35 +0200
Message-Id: <874kby1wuc.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #49959
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  forcemerge 49959 49955 quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

forcemerge 49959 49955
quit





Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 18 Aug 2021 08:04:01 +0000
Resent-Message-ID: <handler.49959.B49959.162927383916509 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: =?UTF-8?Q?=E9=87=8E=E5=AE=AE=E3=80=80=E8=B3=A2?= / NOMIYA Masaru <m.nomiya@HIDDEN>, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162927383916509
          (code B ref 49959); Wed, 18 Aug 2021 08:04:01 +0000
Received: (at 49959) by debbugs.gnu.org; 18 Aug 2021 08:03:59 +0000
Received: from localhost ([127.0.0.1]:54766 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mGGYJ-0004ID-Ek
	for submit <at> debbugs.gnu.org; Wed, 18 Aug 2021 04:03:59 -0400
Received: from mout.gmx.net ([212.227.15.15]:58345)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mGGYI-0004I0-7w
 for 49959 <at> debbugs.gnu.org; Wed, 18 Aug 2021 04:03:58 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629273832;
 bh=XvMsMFIE8RSLogPcrdHWOAewh4faVy/o5jq0Ze3axuM=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=HDNLPFfHf05dCfIl2hTri6dyg2qi5Xf45xNZr5mTjb79VT5bvVvY1dImwboVnS+ui
 slL0ijbt/La/u2Vhp5J0wrvA6+7RdWYGEEP9LdNr4p8PHC+wecqQ3Ym0zoJ3REpwGj
 Ka7MoU50XHkP5seEGx9kIuF5kUGniSL2zS8q2+T8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.101] ([212.95.5.120]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1N8XTv-1nBcKH0Gi9-014Td9; Wed, 18
 Aug 2021 10:03:52 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
Date: Wed, 18 Aug 2021 10:03:50 +0200
MIME-Version: 1.0
In-Reply-To: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:b529SAghWGgunYEATP/nWifnySo+R3KFoSicqv6gsPtBVmFCV8L
 3vsODQWF/LIvH6S0GLD0DEMwlvuBrevshmw3uocKnruKP8XYkqoFWLVQZSGxE9IHGAFSbsx
 VEwgRe/T3Th4FgPtnKHA1iJFOmZK3TsdlUMGq3WMD1hoTfZhh6mx+NWT0XKIN4zOYxlOylU
 OTV0EN4oUWF4XXVSL8XGA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:z0XIZ8IDVgU=:oqN5VDJMfcbIbjwm2zvzug
 qetP/cafq6k+TL3NNyAlHPcLeWtzfEc/mDF9O4EuePSSShQP3RA0vKM+x8egzjz0jWWuhtQd8
 AI26YLuqmyXBuheYowdt47ta9FeXqjaO41E7rpmNZwTrdl9lhSSAcWW1D2hv3AvIqIfzLUt2b
 cOb3q91UXg9xCkJSvC5Vi7QZrfiRCCs3c6Ul2NgkkJhgS16AHgjAn2d9+QvAFUh1/TKRq9Irt
 JPQ1pwo4/YXCU3ZEBEcsS5JLwkHT2JhInJWtySEPJFaGN/6kOOOFFap3M2T+jk4yQ69ZmhjYo
 axjjbeXznOBMEQic4c2vawNkDJj3vPBIeGQRzxmo1g2yG7Y2wXWqxglP1tBfHcvnBwAGRRkdq
 GPzG58+c+ceU3zYhwe/xDx5w3JcbXPPcaZQhBKA84BE7EeyDI8rfRY4d2vVjC++oodCsMjhCm
 ujjtWxZ86kI0yAdRlDwCSLztBLR61xYlv51IjcHVpZpUYMZdHZxsQtgB+7gdQcl06punfSJ8t
 zPMlo9eghups9ZqtMRAcLEROAERH9wDtG0UTWULHbhsymBa10Hr1Wv56PLS3WXo3E2nQCCkXi
 XYba7rCO0/ix6JKkPh/g5eBXFK+pRVC6Itl7rHGlxxdvBr91Ncrhqm5McRQJMRySKJL2NtvAK
 YauRYmGRMdVlkecdljA3SNrApLljyJaFO/4IRfKFHOadAJAuCcY2rt0Uvr+9BYuP2WOPl9pcq
 PJzwsNary8SuSygYn27JIbdm/k4LGw9eUdPCGiuRWSUhyppu4V/E4bCqMo2A2G8++0foSAe7C
 k9t2P12feGRknCaTUMI8bPSW3jIbLvV/HnZay+J4Io6u9OpeaVyT5WTk+XiO6MbudSC2XMHxG
 OF14IOp5iX50T4cBrrJd3IckVKWW7BZdzTg44/4viR0/DSTnsOSPpd12z5/wrjHOTUvckXyPZ
 vaxjorRHZDQobuUI21QSOhbVZAZRp/hi2SNm6TZMvLmMg8rqEzACMXAAXjdNh2kaRnrjEshoW
 SLLmYrMoR2cM9JqrCNkUajPZxsaZ+JXzMuTN8+9FE3pHPfKa+jxVwsC0ZoauFQfsfx01aghIS
 /Er5dfipkzAdEDB319JkI+lzlwtSW81Wa3KIYXelCQRtROxNP5vrsTpOg==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > With this pacth;
 >
 > commit 483c5e953c12a95382bef4a3b6769a680c32fe86
 > Author: Martin Rudalics <rudalics@HIDDEN>
 > Date:   Wed May 5 10:26:32 2021 +0200
 >
 >      Fix two GTK3 event handling issues
 >
 >      * src/xterm.c (handle_one_xevent): For GTK3 PropertyNotify and
 >      MapNotify events explicitly request the stored frame sizes when
 >      the frame changes from iconified to a non-hidden state
 >      (Bug#24526).  For Expose events do not change the frame's
 >      visibility or iconified state.  For FocusIn events on GTK3 do
 >      not apply the fix for Bug#42655.  The latter two changes are to
 >      avoid that plain invisible frames get reported as iconified.
 >
 > Emacs has often got a quasi freeze, not perfect freeze but doesn't
 > accept any openraion except quitting operation.
 >
 > Sorry for the report only.

I assume that you have bisected the sources and reverted the above
commit in order to be sure that it really is the culprit.  Right?

Did you also follow the discussions in Bug#48413 and Bug#48268?  Can you
observe any of the symptoms mentioned there (blank screens, no redraws)
on your system?  Do you have to, for example, switch desktops to make
the freeze happen?  Can you imagine anything "untypical" for Emacs users
in your editing behavior that could provoke the freezes?

In either case, can you try to isolate the part(s) of the above commit
that are responsible for the freezes - in the worst case we'll have to
make them optional then.  And maybe you could also try to build with
GTK2 (and ideally with Lucid) so we can tell whether these freezes are
toolkit dependent.

You can also try to set `frame-size-history' to some positive number and
look at the most recent entries after a freeze has been broken and post
here what `frame--size-history' prints.  Maybe they can give us some
clues.

Finally, please give us more details about how your Emacs is configured
and which desktop and window manager you use.

Thanks in advance, martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 21 Aug 2021 05:10:01 +0000
Resent-Message-ID: <handler.49959.B49959.162952257614610 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162952257614610
          (code B ref 49959); Sat, 21 Aug 2021 05:10:01 +0000
Received: (at 49959) by debbugs.gnu.org; 21 Aug 2021 05:09:36 +0000
Received: from localhost ([127.0.0.1]:35731 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHJGB-0003na-TB
	for submit <at> debbugs.gnu.org; Sat, 21 Aug 2021 01:09:36 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:64130
 helo=vsmtp02.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mHJG7-0003nO-CJ
 for 49959 <at> debbugs.gnu.org; Sat, 21 Aug 2021 01:09:33 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-21.cdn77.com
 [156.146.34.21] (may be forged)) by vsmtp02.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17L59SeS022551 for <49959 <at> debbugs.gnu.org>;
 Sat, 21 Aug 2021 14:09:28 +0900 (JST)
Date: Sat, 21 Aug 2021 14:09:28 +0900
Message-ID: <8735r3idtj.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : Re: bug#49959: 28.0.50;
 Emacs
 got quasi freeze Message-ID : Date & Time: Wed, 18 Aug 2021 10:03:50 +0200
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : Re: bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
  Date & Time: Wed, 18 Aug 2021 10:03:50 +0200

[MR] == martin rudalics <rudalics@HIDDEN> has written:

MN> > With this pacth;

MN> > commit 483c5e953c12a95382bef4a3b6769a680c32fe86
MN> > Author: Martin Rudalics <rudalics@HIDDEN>
MN> > Date:   Wed May 5 10:26:32 2021 +0200
[...]
MN> > Emacs has often got a quasi freeze, not perfect freeze but doesn't
MN> > accept any openraion except quitting operation.
>
MN> > Sorry for the report only.

[...]
MR>  Finally, please give us more details about how your Emacs is configured
MR>  and which desktop and window manager you use.

WM, enlightenment (git head), was the cause.
With my report, the deveopper gave me the patch of enlightenment, then
the issue has gone.

BTW.

My environments;

1. OS:  openSUSE Leap 15.3
2. WM:  enlightenment (git head)
3. my configure;

   ./configure --with-x-toolkit=gtk3 --without-xim --prefix=/usr/local --without-sound --build=x86_64-openSUSE-linux-gnu --host=x86_64-openSUSE-linux-gnu --with-modules --with-mailutils --without-libsystemd --with-gconf --with-imagemagick --with-harfbuzz --with-json --with-xwidgets

Thanks.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Bill! You married with Computer.
          Not with Me!"
         "No..., with money."




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sat, 21 Aug 2021 06:55:01 +0000
Resent-Message-ID: <handler.49959.B49959.162952886124398 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162952886124398
          (code B ref 49959); Sat, 21 Aug 2021 06:55:01 +0000
Received: (at 49959) by debbugs.gnu.org; 21 Aug 2021 06:54:21 +0000
Received: from localhost ([127.0.0.1]:35795 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHKtU-0006LO-OY
	for submit <at> debbugs.gnu.org; Sat, 21 Aug 2021 02:54:21 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:51648
 helo=vsmtp01.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mHKtO-0006LB-Mz
 for 49959 <at> debbugs.gnu.org; Sat, 21 Aug 2021 02:54:15 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-21.cdn77.com
 [156.146.34.21] (may be forged)) by vsmtp01.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17L6s6cV025994 for <49959 <at> debbugs.gnu.org>;
 Sat, 21 Aug 2021 15:54:06 +0900 (JST)
Date: Sat, 21 Aug 2021 15:54:06 +0900
Message-ID: <871r6ni8z5.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <8735r3idtj.wl-nomiya@HIDDEN>
 <20210821072303.ead4637113305e2e518936b8@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: 28.0.50; Emacs
 got quasi freeze Message-ID : Date & Time: Sat, 21 Aug 2021 14:09:28 +0900
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <8735r3idtj.wl-nomiya@HIDDEN>
  Date & Time: Sat, 21 Aug 2021 14:09:28 +0900

[MN] == Masaru Nomiya <nomiya@HIDDEN> has written:

MN> Hello,

MN> In the Message; 

MN>   Subject    : Re: bug#49959: 28.0.50; Emacs got quasi freeze
MN>   Message-ID : <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
MN>   Date & Time: Wed, 18 Aug 2021 10:03:50 +0200

MN> [MR] == martin rudalics <rudalics@HIDDEN> has written:

MN> > With this pacth;

MN> > commit 483c5e953c12a95382bef4a3b6769a680c32fe86
MN> > Author: Martin Rudalics <rudalics@HIDDEN>
MN> > Date:   Wed May 5 10:26:32 2021 +0200
MN> [...]
MN> > Emacs has often got a quasi freeze, not perfect freeze but doesn't
MN> > accept any openraion except quitting operation.
MN> >
MN> > Sorry for the report only.

MN> [...]
MR>  Finally, please give us more details about how your Emacs is configured
MR>  and which desktop and window manager you use.

MN> WM, enlightenment (git head), was the cause.
MN> With my report, the deveopper gave me the patch of enlightenment, then
MN> the issue has gone.

Sorry, the enlightenment's developper said,that there exists a bug in
the git head as follows;

In the Message; 

  Subject    : Re: [e-users] emacs problem persists
  Message-ID : <20210821072303.ead4637113305e2e518936b8@HIDDEN>
  Date & Time: Sat, 21 Aug 2021 07:23:03 +0100

[Dev] == Dev <xxxx@HIDDEN> has written:

CH>  This is not a fix. it is a test. You have an emacs bug. It
CH>  doesn't handle the hidden state changes properly and chooses to
CH>  not render updates. :) But you can now tell them what the bug is.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Three young men died for Rationalization.
           Yet, Margaret Bloody Thatcher LIVES!"
                                            'Brassed Off'




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 22 Aug 2021 08:24:01 +0000
Resent-Message-ID: <handler.49959.B49959.162962064032551 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162962064032551
          (code B ref 49959); Sun, 22 Aug 2021 08:24:01 +0000
Received: (at 49959) by debbugs.gnu.org; 22 Aug 2021 08:24:00 +0000
Received: from localhost ([127.0.0.1]:38136 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHilr-0008Sw-Fd
	for submit <at> debbugs.gnu.org; Sun, 22 Aug 2021 04:23:59 -0400
Received: from mout.gmx.net ([212.227.15.19]:52421)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mHilo-0008Si-Jm
 for 49959 <at> debbugs.gnu.org; Sun, 22 Aug 2021 04:23:57 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629620630;
 bh=2RWhOmIQxryxCFiDcSaNyRPWtXmLJ4RCmpZF32cZBAk=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=Zg//MdoVYmCGU+9Gtk3Du9mPK5WfFA9x7dyO8AD2KDMd+tnGD8e/GmxZDZpy1LGVq
 Xzyxrngd6kB6ewS6VZnA25glPi68ULFmKIQu5USS4BTcoQqUEeMplhEEVmj/KcbvX2
 sQiSMpTKPmtDTmdsm7oa/yZiBHFig4zE6Eck7i2s=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.239]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MPGW7-1mhNKC3UfF-00Ph2C; Sun, 22
 Aug 2021 10:23:49 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
Date: Sun, 22 Aug 2021 10:23:48 +0200
MIME-Version: 1.0
In-Reply-To: <871r6ni8z5.wl-nomiya@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:OImKOXYxuAg1I8tFvv8y3QI/a3pXBZoRvBzdBbNSMXTr+ylev72
 OWjuokt732Gx/K6RzkCzWnhtO/gWGs0kZxQEQZZnudKBYAJwSptEpqIHLFxLiry7ZGK1wcH
 HBLRzqM77cYykdpjjbK2IjOJ3qx5YEzvAlP1Rr85eRoXy+EMrU166Tl3/tB5d76FIdhXqRx
 QF20DAnrpqu7ds7FsXNxg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:aX4OsPIlh0c=:Ty/KX37H9hhrBk5e3O7HhB
 rqfGPgi5UJIOBxNP4EJXRrCx5pJlPjKf51HSd3fAAecgFdMswN8DLuFYokBm1BgFRMNJziVsj
 jsGQWLjKET8Fpc4tvHFDxpQqBaGkBwfGB0CIXOLvX2iXuwtMpPmb6zZM/BVHpFPzrae6pAcI6
 f7TnE78ViRaCOSTQ5KrzIXhibsqV/bYtRL30vOde4nA5e/k6AZEIci5MEO3rz+XgzZgiPyYDu
 WvrmCjGdFKpUBQruZHK6c4pkUMiTuUj5D9ldg+PgpjfAhEFMDUNTEK51nzZDZtAh25gBCd7lM
 ICQH6dwNHOW4xsXNqL7AqCAAqDb09XPDnUJhqWPmt4sUIPCKtyYtnATYgzcA5xOysEC1zbKrX
 aWAi0R2hc/E5tSeJefs+FGP/JSlj1SdiF3STg+qOmQYssHlyTTd4l0FHyjnyNewl8m6QSByHM
 tyaT4pyE7RoddP4Dm+tpVIp5HYbg2voZ1+5lBlaCIDaQU00IHRchNwFBioGhA6LzvbCjPq8Lg
 T4gxFwLKc02iGFW4lDeVnkkgeS/RxQtHL9veDgLxcBG4CP3TN089FBbLzFJhLs8Jar9R+e9G8
 HUQong9HReLAoH46arq3NGa7lLk3e6+fSr1ZjRvZFMcPJ6wju7JCOWK0S1MeoH87EIVGpIqZx
 dZT0L1OUxgbZl0nm4XQjNOtJCmesDYgO39wi/s+tsLb3DPA+b6aDRdQi1zMcdz9ucHq2WXKK+
 2ShnITECm5tVdiPCnVXnRuTuqLK6MtkWA8yFJN+kydNYxYErzlI4G+TVhZcO66oLLqnHV6q87
 I9u9qdqJ56qU1a9USZ7MOU8/V+EZTvPQ7kMdt0GAhNFMAAUQOVAq8387UHRKmfP9SPF0HXj6T
 bW5FGCU2NwqG7htZx3hB370CfKdGSfFzJxE+x23sB8pttBswYQfTRQ73J9WoEsLi2kh/Vbxjq
 wYbY6ny1XyxCo/b4Vv7tS3eHPulFEoBkdL6AStBVWa6Yu/afBRy9o1RwAeL1965Pyzx92GFgB
 zFIgdSUqmk35sCjG5NO3Qvf5DR7H+c7B4A5k0QaDVkm7s62YhjFtK7biTpiCgaU2KzVrxuCG9
 7+tqn1RSljddNPSp+iNhHHh9HKx4hiaPmKf2fIIOpN1A5yehGH+R0qAVg==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Sorry, the enlightenment's developper said,that there exists a bug in
 > the git head as follows;
 >
 > In the Message;
 >
 >    Subject    : Re: [e-users] emacs problem persists
 >    Message-ID : <20210821072303.ead4637113305e2e518936b8@HIDDEN>
 >    Date & Time: Sat, 21 Aug 2021 07:23:03 +0100
 >
 > [Dev] == Dev <xxxx@HIDDEN> has written:
 >
 > CH>  This is not a fix. it is a test. You have an emacs bug. It
 > CH>  doesn't handle the hidden state changes properly and chooses to
 > CH>  not render updates. :) But you can now tell them what the bug is.

Could you please ask the developer what the bug really is?  Which are
the hidden changes and in which sense do we not render updates?  What
should we do better?

Thank you for any enlightenment in this area, martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 22 Aug 2021 09:50:01 +0000
Resent-Message-ID: <handler.49959.B49959.16296257897987 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16296257897987
          (code B ref 49959); Sun, 22 Aug 2021 09:50:01 +0000
Received: (at 49959) by debbugs.gnu.org; 22 Aug 2021 09:49:49 +0000
Received: from localhost ([127.0.0.1]:38196 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHk6v-00024k-Is
	for submit <at> debbugs.gnu.org; Sun, 22 Aug 2021 05:49:49 -0400
Received: from mout.gmx.net ([212.227.15.18]:52981)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mHk6u-00024X-D2
 for 49959 <at> debbugs.gnu.org; Sun, 22 Aug 2021 05:49:48 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629625781;
 bh=RO33DfE/s1dXTOer4x+Oh+dG1Jckq+WejAyFOLarXgI=;
 h=X-UI-Sender-Class:Subject:From:To:References:Date:In-Reply-To;
 b=VKt0yv1oeGksVLCOnA7mGxsYEqBdD0xcPduJMqwv51/bQ+Ab9Um2YEB5qHCSLN62b
 ZQ6EYAVKbhiLPzD+aVmOG6dr4MKHEOA2gJix1XsFGw33yP2MwicYN3479W2IQ4uSOO
 3CZfPMrVk6W2zCt3s9FMwkS52Re2svSb+Vi9FU8k=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.239]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MrhQ6-1mnn3h2jCe-00ndpI; Sun, 22
 Aug 2021 11:49:41 +0200
From: martin rudalics <rudalics@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
Message-ID: <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
Date: Sun, 22 Aug 2021 11:49:40 +0200
MIME-Version: 1.0
In-Reply-To: <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:yhid9IOVFJt98tIJTzmsFGFnUEljakxZ2gAAauWyyOzWbS817Mk
 7gLyq2Lll6QxKGGrtZMwVT2AG4ZS/AZykXpK7FKsNivAbGPkXW81DkyrQDtURhCCWp+hynA
 rV/S/px6n4JWgBFP05gHr3LebeV6odxnOLOBmksKb0Nza7hRNE//PWZbiM7OLdCNgsmcQEZ
 h6c7bQEGHEy/jEecHGrKQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:X4MZeSINWf0=:1UN1rJVuoue79ETIedgs7I
 RuCEo6YXWe3lfELS/yrLaOB8Enu/hVfhfSdPddyA+Jw9nfn1EDUELtNTkYLLepaFSNRejmw/K
 HK8rlAbWYTMVS+2clVgPD5wwKZDVAf69sBuytb30QPXK3C/KKtV6vUZJ7jtFwooE55QxUgQcN
 oCPmk6QArJfLnpQgD4XWfBY0J+XSBjVzK1/eFJW/XE8sH26yi6sYRs2XlSU2wusTLRPSFgjKe
 mrq1zGiHaPx05cIXALkPPZkTU+mCEHrcHutdrX2NR9uLx3ws85pA2EclCAfL043aydWZskxYB
 h58UHq19gQfalotPetqvtaXismHrqg6sfndcNP1sp2tDHUiOIZO08LJVAtnRU99s+XrX7jV9w
 eozRG2UngRgp5YdUTSWJip+bgQYrYKAusxw1nZMvYDyDG5ovex+AhWsdDPWaLkPD4+KNValqb
 FJldnPxsrglosS+xE8uSv72FzHyB1h/MtDD16C1v0ZEj9w+GZep04woxTKHKlXtxHahvCz06M
 tj8QwqK/aheApipr4CBofJYEhBazC8l+GQsp7sFCqPfY3akFyVi5HzzP0lLdTXh6JpWdj0BH8
 g6N3xVB3lJQ1AtdO4mTpYXj57SRyuf6k2qrtKlsMFQGYjVfF25kKPv6Y5Vxgwn+xb5IsahERw
 31PJ64ewaEibMhKPiv5e58gKn7MyAVcydrJFe4KpVNL88KLY1sgwAse/yYAsgKGkoColro5od
 bINH2JXoMvb92OlFFD/RPZIDH/KSn/X2TNpKg9CGJYM37Cmi2EWyT0dxaaZIyjFULNBxxAKW+
 1UFUzrd01dMv+07PIZu4BkAEkJGZX06O3W3T/wFib88VeG7Isi7a7wFuAFFDQLo3L/UU/zeYe
 aOzPZGXIgS6d4NoNRVIZqEnaQ0FaZAtWYkv47G61UqSToP3QdTS9fv6HS1H7DTMaURNMqiNpQ
 ODs7FhoteBSF5Xa0YV3J0erM/Jz3o616DDJSgnO75BJGGN6nAr0LsswkV4Kq35dynz4u2VMqI
 LFOKzVJ9xEj4XH+4d788P5xCgL28nLDzvAnc0801+xgteWjGcMLbGJ1agKEWY/ZAPAXo65NS6
 sMDEJJPNj7dh9AmAPjIcYU+VW0BIizBm+68B1sWGxzQuYuhE2pOy9sRjw==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Could you please ask the developer what the bug really is?  Which are
 > the hidden changes and in which sense do we not render updates?  What
 > should we do better?
 >
 > Thank you for any enlightenment in this area, martin

Maybe the problem can be summarized as follows:

- Emacs is in a state where a frame is hidden but not iconified.

- Emacs gets a PropertyNotify event but does not react because the frame
   was in its understanding _not_ iconified before.  Elightenment thinks
   that Emacs should understand that the frame is visible now and react
   properly.

If that's the case, then Emacs had this problem ever since.  Actually,
Emacs here waits for a MapNotify event to arrive but apparently this
does not happen with Elightenment.

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 22 Aug 2021 16:55:02 +0000
Resent-Message-ID: <handler.49959.B49959.162965126317629 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162965126317629
          (code B ref 49959); Sun, 22 Aug 2021 16:55:02 +0000
Received: (at 49959) by debbugs.gnu.org; 22 Aug 2021 16:54:23 +0000
Received: from localhost ([127.0.0.1]:39737 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHqjm-0004aG-IH
	for submit <at> debbugs.gnu.org; Sun, 22 Aug 2021 12:54:22 -0400
Received: from mout.gmx.net ([212.227.17.22]:59561)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mHqjj-0004a2-Uk
 for 49959 <at> debbugs.gnu.org; Sun, 22 Aug 2021 12:54:21 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629651253;
 bh=b+R2FmwgfPKB+VxzPhTN8JSiN64Scx+iCeXGTTE7juc=;
 h=X-UI-Sender-Class:Subject:From:To:References:Date:In-Reply-To;
 b=aXpCPo2r6afiMLyEMWFUwg6Y8jMwuN/oUMTqigghWcEYdZcfK3WpUFhwiFve5WzKO
 nPCkCsLZFcmbaQ6wiv1vq1pKy+RvNspVsextg6hSXJfUY7xadRcTblXelexPSkrR2p
 Wcbsoph8u1dUV0rQnzKexgfMyGNLNRQ+wwo3r2GY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([213.142.97.250]) by mail.gmx.net (mrgmx105
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MBDnC-1mBqiQ3p1y-00Ci8K; Sun, 22
 Aug 2021 18:54:13 +0200
From: martin rudalics <rudalics@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
Message-ID: <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
Date: Sun, 22 Aug 2021 18:54:11 +0200
MIME-Version: 1.0
In-Reply-To: <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
Content-Type: multipart/mixed; boundary="------------061E0EDF75BBDFEF9355169E"
Content-Language: en-US
X-Provags-ID: V03:K1:dEIQ2AwVRxBV74fll4Y4Gv2hy4QXaIFr30+q3EFvNDc4drbckZf
 yerEEQbiWIp29Xb3islV0oPVtrUdCqOAJ1LjARLst74922tzXi8MaOb3kEBW08oCxTpYSvu
 jkiPfkME8hUWKFkDuNOsDo8oOUefElZr0WWc7Ah18WtnlXEIRPK2bL2NOgMh+2CQLRU2hhm
 uH+/8AfPpzfnWcGXIf74A==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rouNtn9WVa4=:fcsAU9mT5ETxTSplz9G2oj
 8jeTbmtS7Y2JHHEFKMsVgtG5ME5rsbA5oVsX7s4tH3iM3C4lFDEB6c6pKh1R2tGl+XIAm72qB
 a2WSiPMDv7ZDOO++4kqPbsftiDqaj47gbQBycZHYFijRpJREvNh2I8+n8PBoitSn54xA93DCA
 DF/7Ox0QzgReqCceY/nl4eGAzzvG+isk02W8lcIzwDmi8CcY24Ph0LUOmeAx0y58QLUqbZIbU
 uOR+rHN/om4bhsGCxpwStZwIa+qZ9GdO1dmWFJ7D0oU+vlDo4wrRbGpCR9am5Vy+djcIhHUaV
 1478Y/VdJ60tMX0iMjPAMhpgNo6g+UoVT+LVYazwk43RH0/KN0S6dH/gbi0t5u2gls+bYQRvN
 1zJfbFU67JYcHexMUR8xrIcrxDSqX695qqxf5HMII+LkCsxBnbZmD2yja8qe97ykUxuK9dDyL
 TCmFsZ8kbaOJ8WsRMG8fZYkJNP7ijV+fewp8/AFydzamS7p7UcQHQkcL8LoFVKAU+S4A6gDOK
 gqhD9oCvL4o8IUF9EviexDSmdHHmOSkBV/QTJpaZxIV+fuTIAhq62CPnLp1Mcs3JJVYGDodUN
 ZcBOnM3DTA1+aHZ3ki1qQAEQ6/PyJ59LXHgqrG4w+nFqKXmU6MXR9HEpx6TxSnz1NvRiBfxhT
 UJJWvDDP3HoFZGE6yppZwmAbmleBz2FLlg5qIZNf+V8MLl2e94+bLOsyPedC/JN2dILmLlZwR
 i6kef/F4Q2yqcLIYlt3e5otCwwYALxB0/bI6MvdTujC4UDzK+PR4qCUhJrBeaigq9Tr+Oud7X
 G9OkLCK5y23o+xfiZicgCzNLcN5MYeytnalFkMOcbN6XssIJumflUZ25oRZMsoesHhpGCICiZ
 lYPWHNomYaXRuSAEee8vfzxXz/FfiXWpuy8rMOKi0o2QH2ct6EJcsexM/8Txy6habfcQ8lzOp
 6rZTLjvFJhUp0t3J7udOzp9mBhP95vwlR81BlsACMCNRoaHeUgUOULLp0n8vu62BfuNgHaddM
 2yBlRPru5hFOe+gGRmmqSyTktWiTaZJ7Of/oNsX3S8YliY8abQL31+WJEtJDPhfU95t0Vq2uG
 xO98RLHwU/T31Kknd5zU7aQGija4gNM56LzbOFhA/h3t3VG9US2dJGnPg==
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------061E0EDF75BBDFEF9355169E
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > Maybe the problem can be summarized as follows:
 >
 > - Emacs is in a state where a frame is hidden but not iconified.
 >
 > - Emacs gets a PropertyNotify event but does not react because the frame
 >    was in its understanding _not_ iconified before.  Elightenment thinks
 >    that Emacs should understand that the frame is visible now and react
 >    properly.
 >
 > If that's the case, then Emacs had this problem ever since.  Actually,
 > Emacs here waits for a MapNotify event to arrive but apparently this
 > does not happen with Elightenment.

A preliminary patch based on the above remarks is attached.

martin

--------------061E0EDF75BBDFEF9355169E
Content-Type: text/x-patch;
 name="deiconify.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="deiconify.diff"

diff --git a/src/termhooks.h b/src/termhooks.h
index 1d3cdc8fe8..479b8a1c29 100644
=2D-- a/src/termhooks.h
+++ b/src/termhooks.h
@@ -168,7 +168,8 @@ #define EMACS_TERMHOOKS_H
 				   Lisp-level event value.
 				   (Only the toolkit version uses these.)  */
   ICONIFY_EVENT,		/* An X client iconified this window.  */
-  DEICONIFY_EVENT,		/* An X client deiconified this window.  */
+  DEICONIFY_EVENT,		/* An X client deiconified this window
+				   or made it visible.  */
   MENU_BAR_ACTIVATE_EVENT,      /* A button press in the menu bar
 				   (toolkit version only).  */
   DRAG_N_DROP_EVENT,		/* A drag-n-drop event is generated when
diff --git a/src/xterm.c b/src/xterm.c
index 6c6a62adb2..a4958c39de 100644
=2D-- a/src/xterm.c
+++ b/src/xterm.c
@@ -8166,22 +8166,18 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xproperty.window);
       if (f && event->xproperty.atom =3D=3D dpyinfo->Xatom_net_wm_state)
 	{
+	  bool was_iconified =3D FRAME_ICONIFIED_P (f);
           bool not_hidden =3D x_handle_net_wm_state (f, &event->xproperty=
);

-	  if (not_hidden && FRAME_ICONIFIED_P (f))
+	  if (not_hidden)
 	    {
 	      if (CONSP (frame_size_history))
 		frame_size_history_plain
-		  (f, build_string ("PropertyNotify, not hidden & iconified"));
+		  (f, build_string ("PropertyNotify, not hidden"));

-	      /* Gnome shell does not iconify us when C-z is pressed.
-		 It hides the frame.  So if our state says we aren't
-		 hidden anymore, treat it as deiconified.  */
 	      SET_FRAME_VISIBLE (f, 1);
-	      SET_FRAME_ICONIFIED (f, false);
-
 	      f->output_data.x->has_been_visible =3D true;
-	      inev.ie.kind =3D DEICONIFY_EVENT;
+
 #if defined USE_GTK && defined HAVE_GTK3
 	      /* If GTK3 wants to impose some old size here (Bug#24526),
 		 tell it that the current size is what we want.  */
@@ -8192,18 +8188,27 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 		  f->was_invisible =3D false;
 		}
 #endif
-	      XSETFRAME (inev.ie.frame_or_window, f);
+	      if (was_iconified)
+		{
+		  SET_FRAME_ICONIFIED (f, false);
+		  inev.ie.kind =3D DEICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
 	    }
-	  else if (!not_hidden && !FRAME_ICONIFIED_P (f))
+	  else
 	    {
 	      if (CONSP (frame_size_history))
 		frame_size_history_plain
-		  (f, build_string ("PropertyNotify, hidden & not iconified"));
+		  (f, build_string ("PropertyNotify, hidden"));

 	      SET_FRAME_VISIBLE (f, 0);
-	      SET_FRAME_ICONIFIED (f, true);
-	      inev.ie.kind =3D ICONIFY_EVENT;
-	      XSETFRAME (inev.ie.frame_or_window, f);
+
+	      if (!was_iconified)
+		{
+		  SET_FRAME_ICONIFIED (f, true);
+		  inev.ie.kind =3D ICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
 	    }
 	}

@@ -8402,7 +8407,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xmap.window);
       if (f)
         {
-	  bool iconified =3D FRAME_ICONIFIED_P (f);
+	  bool was_iconified =3D FRAME_ICONIFIED_P (f);
 	  int value;
 	  bool sticky;
           bool not_hidden =3D x_get_current_wm_state (f, event->xmap.wind=
ow, &value, &sticky);
@@ -8410,7 +8415,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 	  if (CONSP (frame_size_history))
 	    frame_size_history_extra
 	      (f,
-	       iconified
+	       was_iconified
 	       ? (not_hidden
 		  ? build_string ("MapNotify, not hidden & iconified")
 		  : build_string ("MapNotify, hidden & iconified"))
@@ -8434,7 +8439,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 #endif /* Not USE_GTK */
 	    }

-	  if (!iconified)
+	  if (!was_iconified)
 	    {
 	      /* The `z-group' is reset every time a frame becomes
 		 invisible.  Handle this here.  */
@@ -8459,13 +8464,13 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 		}
 #endif
 	      f->output_data.x->has_been_visible =3D true;
-	    }

-          if (not_hidden && iconified)
-            {
-              inev.ie.kind =3D DEICONIFY_EVENT;
-              XSETFRAME (inev.ie.frame_or_window, f);
-            }
+	      if (was_iconified)
+		{
+		  inev.ie.kind =3D DEICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
+	    }
         }
       goto OTHER;


--------------061E0EDF75BBDFEF9355169E--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 22 Aug 2021 23:12:02 +0000
Resent-Message-ID: <handler.49959.B49959.16296739114263 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16296739114263
          (code B ref 49959); Sun, 22 Aug 2021 23:12:02 +0000
Received: (at 49959) by debbugs.gnu.org; 22 Aug 2021 23:11:51 +0000
Received: from localhost ([127.0.0.1]:40005 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mHwd0-00016d-PI
	for submit <at> debbugs.gnu.org; Sun, 22 Aug 2021 19:11:50 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:33514
 helo=vsmtp02.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mHwcv-00016P-4S
 for 49959 <at> debbugs.gnu.org; Sun, 22 Aug 2021 19:11:45 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-81.cdn77.com
 [156.146.34.81] (may be forged)) by vsmtp02.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17MNBb6j016743 for <49959 <at> debbugs.gnu.org>;
 Mon, 23 Aug 2021 08:11:37 +0900 (JST)
Date: Mon, 23 Aug 2021 08:11:37 +0900
Message-ID: <87ilzxdqhi.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Sorry for late reply. In the Message; 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Sorry for late reply.

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
  Date & Time: Sun, 22 Aug 2021 18:54:11 +0200

[RM] == martin rudalics <rudalics@HIDDEN> has written:

RM>  [1  <text/plain; utf-8 (7bit)>]
RM>  > Maybe the problem can be summarized as follows:
RM>  >
RM>  > - Emacs is in a state where a frame is hidden but not iconified.
RM>  >
RM>  > - Emacs gets a PropertyNotify event but does not react because the frame
RM>  >    was in its understanding _not_ iconified before.  Elightenment thinks
RM>  >    that Emacs should understand that the frame is visible now and react
RM>  >    properly.
RM>  >
RM>  > If that's the case, then Emacs had this problem ever since.  Actually,
RM>  > Emacs here waits for a MapNotify event to arrive but apparently this
RM>  > does not happen with Elightenment.

RM>  A preliminary patch based on the above remarks is attached.

Thanks, but it's off the mark.

The issue is around rendering. The phnomenon is;

> If i move to another virtual desktop, and then return to
> the one with the emacs window, it looks like emacs never gets focus.
> Enlightenment's borders do change colours to indicate it has focus,
> but the cursor remains an empty box instead of a solid rectangle.
> Typing in the window also shows nothing happening. Until... If i
> minimize the window and bring it back, or if i shade and unshade the
> window, it all looks ok again, and everything i typed is there! So i
> can be typing blindly with nothing appearing in the window, then shade
> and unshade, and see that everything i typed (more often than not on
> the wrong line, because i couldn't see it).

Regards.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "No Windows, no gains!" ..... "Why, I am wrong?"
        
                                          -- Bill --




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Mon, 23 Aug 2021 08:36:01 +0000
Resent-Message-ID: <handler.49959.B49959.162970771718607 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162970771718607
          (code B ref 49959); Mon, 23 Aug 2021 08:36:01 +0000
Received: (at 49959) by debbugs.gnu.org; 23 Aug 2021 08:35:17 +0000
Received: from localhost ([127.0.0.1]:40467 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mI5QL-0004q3-0K
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 04:35:17 -0400
Received: from mout.gmx.net ([212.227.17.22]:45783)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mI5QE-0004pf-Jk
 for 49959 <at> debbugs.gnu.org; Mon, 23 Aug 2021 04:35:15 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629707704;
 bh=uu3G0uLqvf+QgQz/dUODWd4viFX/CfDxXQGmqw0qgAM=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=M5pPFgQCLgmyCXQPJeqnjTWt2c/CEIekmuGq2tO/Yqq3sJdhmk4vTtvclXgZe6VsD
 79pkVICfbSB4Vu5W1l+0RgZ2Einn2lI7MYzpyDSh+jjK5sgzykSJBb7bv/cWeVcI19
 OWd8bYUa90iDW0NEvooQUHDKiKqtRSZ0fcOjlRNY=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.151]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1ML9uU-1mZ4L73CXi-00IBpI; Mon, 23
 Aug 2021 10:35:03 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
Date: Mon, 23 Aug 2021 10:35:02 +0200
MIME-Version: 1.0
In-Reply-To: <87ilzxdqhi.wl-nomiya@HIDDEN>
Content-Type: multipart/mixed; boundary="------------26EFF914C0A0DD50AECC113A"
Content-Language: en-US
X-Provags-ID: V03:K1:+43pnY3wVvf0A3Pyi2hahFuwm+x9ovSUNeQiQnpGvkRMkg2TVgD
 vJWmY1vdcH3X7uHVEIPgpVq7/OhQwkp0NuDwl9m83spZ46NKj96Sd1BfMvCC/5ycQnlwQxW
 F1oAeaTagZc46/EhfNz3C51KuX7Q2sU91eCLMZ7/SayxsbCoN42OqEGxIaQGGD6KfeOqY22
 Du0/bM71yQNQA2Emx795Q==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:zz9f1xe7K20=:cMyNaD60tfcjaG/TJWbSEm
 pchvTYz0EeKh1n9Yi7NqiNZWed0Reyca4XfpjMSz9NR2kCLgL4KWkAjZ9PcczgWZFBEm62oed
 SyTLOCliRpSAJyin0dJrOPACMdK+g/gfq18cCD8IG4OXh+PSbILwoS9yIGGQHIZNRFKQt2+zY
 QMtrK83A1mVtA5cuuX/rt6zJBgxaQp7qoJ/DjkGu8iYSSHLkNKO7VWBnt1FLsjAGSSeW3yo8R
 C6/gJ9cpz8jkXux4elWXl1WHlnFlc9K0RZMMTsG6zdCYxqkwXnrg9S7y2+HQYho/zjO8BB3xa
 u7ThpvEs/ZAW9KNhfUQbFoBL1vBnxFgC+YBmMzjafDVOzFqXlcILPCQmAiYR+sCDhT8SfbPDT
 wbIhwUYYrKTkZcwh1XzNq6C7XizN8tE1CnOU3np2hof0/xzis3OiVTxI9LqLLNIsFqdnCf5qQ
 omtENQoJhUhjbBiljk/GN8rws1WLV3Ts04e9vb5Ay/QayBZtq7sske+Wg7EUgw2UkS+Fut98B
 Dzc3FuZ7wB39whxVslx7G/saeaqaVPHZfaBUDAe+g6n+sMl6dKVzc82sHdhHGymqJaM43ZaEA
 4/XARfODb2Hilpb8i+ixv5tDfcQvv17sE46kK1iK493M4G3k+SwVCajbdVCxGDGq8k8EwXbBe
 gQHDYiqwEtZtoAiei+JZUjfdPpjEZUn6mspVhY/9ZwbqkMV4THLP8N+1QRyimmbZZU/SHr7nq
 DuVEuzFeK1c4U7nLEfw22sHJY6bZedziq421gp0asV6me54hXg86vW3gfocjTnNQ3vJ7zfupI
 ypCQ8/KvPs2XZIoVIfF/MbOly63P8en15GIlQxM12MEyzeIf3Shoxrc/PMTelPNojB7K22ftE
 SJWHWakFSMHf+o9/N6vdlJ8Q3DISYeEgCyX7DwURnMuqrVV5n55HTVSvAXMGBoi1FqVCIMNf+
 x59HT9MyQF+8LLQNQuoZIEhAdcJvWwAA0z10d/Y00PjeKBt/tT3+OvEM2OIceP8D1j5Kyo7Oc
 Be1QovUqfbAY4/x/rAzmDe99BVo4pUIhyaEtQHj2EdObCdHHNJJKU/Gkpv74SQctvRLLCFvGG
 yEVAs2VZNqiopDjQwuH/IzQd667QLQoJTdOufPwksETWw0FSF3em3swPA==
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

This is a multi-part message in MIME format.
--------------26EFF914C0A0DD50AECC113A
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > The issue is around rendering. The phnomenon is;

Please always tell us right away what you are doing to produce the
faulty behavior.

 >> If i move to another virtual desktop, and then return to
 >> the one with the emacs window, it looks like emacs never gets focus.
 >> Enlightenment's borders do change colours to indicate it has focus,
 >> but the cursor remains an empty box instead of a solid rectangle.
 >> Typing in the window also shows nothing happening. Until... If i
 >> minimize the window and bring it back, or if i shade and unshade the
 >> window, it all looks ok again, and everything i typed is there! So i
 >> can be typing blindly with nothing appearing in the window, then shade
 >> and unshade, and see that everything i typed (more often than not on
 >> the wrong line, because i couldn't see it).

 From what I understand till now, Enlightenment treats the Emacs window
as invisible when switching away from its desktop.  So what we have to
know is what Enlightenment sends to Emacs when the user returns to the
desktop with the Emacs window.  Is it a PropertyNotify, a MapNotify, a
VisibilityNotify, a FocusIn or some other event?

If it is a VisibilityNotify event, then maybe the attached patch will
help.

Thanks, martin

--------------26EFF914C0A0DD50AECC113A
Content-Type: text/x-patch;
 name="VisibilityNotify.diff"
Content-Transfer-Encoding: 7bit
Content-Disposition: attachment;
 filename="VisibilityNotify.diff"

diff --git a/src/xterm.c b/src/xterm.c
index 6c6a62adb2..6e562ce8e9 100644
--- a/src/xterm.c
+++ b/src/xterm.c
@@ -9354,7 +9354,11 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f = x_top_window_to_frame (dpyinfo, event->xvisibility.window);
       if (f && (event->xvisibility.state == VisibilityUnobscured
 		|| event->xvisibility.state == VisibilityPartiallyObscured))
-	SET_FRAME_VISIBLE (f, 1);
+	{
+	  f->output_data.x->has_been_visible = true;
+	  SET_FRAME_GARBAGED (f);
+	  SET_FRAME_VISIBLE (f, 1);
+	}

       goto OTHER;


--------------26EFF914C0A0DD50AECC113A--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 24 Aug 2021 01:20:01 +0000
Resent-Message-ID: <handler.49959.B49959.162976798426412 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162976798426412
          (code B ref 49959); Tue, 24 Aug 2021 01:20:01 +0000
Received: (at 49959) by debbugs.gnu.org; 24 Aug 2021 01:19:44 +0000
Received: from localhost ([127.0.0.1]:42820 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIL6O-0006rw-GY
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 21:19:44 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:34959
 helo=vsmtp02.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mIL6K-0006rj-Kc
 for 49959 <at> debbugs.gnu.org; Mon, 23 Aug 2021 21:19:43 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-11.cdn77.com
 [156.146.34.11] (may be forged)) by vsmtp02.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17O1JaN1006222 for <49959 <at> debbugs.gnu.org>;
 Tue, 24 Aug 2021 10:19:36 +0900 (JST)
Date: Tue, 24 Aug 2021 10:19:36 +0900
Message-ID: <87o89nmyfr.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: 28.0.50; Emacs
 got quasi freeze Message-ID : Date & Time: Mon, 23 Aug 2021 10:35:02 +0200
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
  Date & Time: Mon, 23 Aug 2021 10:35:02 +0200

[RM] == martin rudalics <rudalics@HIDDEN> has written:

RM>  [1  <text/plain; utf-8 (7bit)>]
RM>  > The issue is around rendering. The phnomenon is;

RM>  Please always tell us right away what you are doing to produce the
RM>  faulty behavior.

I'm so sory,

Now, I understand the debugging method.

[...]
RM>  From what I understand till now, Enlightenment treats the Emacs window
RM>  as invisible when switching away from its desktop.  So what we have to
RM>  know is what Enlightenment sends to Emacs when the user returns to the
RM>  desktop with the Emacs window.  Is it a PropertyNotify, a MapNotify, a
RM>  VisibilityNotify, a FocusIn or some other event?

RM>  If it is a VisibilityNotify event, then maybe the attached patch will
RM>  help.

RM>  Thanks, martin
RM>  [2 VisibilityNotify.diff <text/x-patch (7bit)>]
RM>  diff --git a/src/xterm.c b/src/xterm.c
RM>  index 6c6a62adb2..6e562ce8e9 100644
RM>  --- a/src/xterm.c
RM>  +++ b/src/xterm.c
RM>  @@ -9354,7 +9354,11 @@ handle_one_xevent (struct x_display_info *dpyinfo,
RM>         f = x_top_window_to_frame (dpyinfo, event->xvisibility.window);
RM>         if (f && (event->xvisibility.state == VisibilityUnobscured
RM>   		|| event->xvisibility.state == VisibilityPartiallyObscured))
RM>  -	SET_FRAME_VISIBLE (f, 1);
RM>  +	{
RM>  +	  f->output_data.x->has_been_visible = true;
RM>  +	  SET_FRAME_GARBAGED (f);
RM>  +	  SET_FRAME_VISIBLE (f, 1);
RM>  +	}

RM>         goto OTHER;

Thanks.

I'll check with this pacth.

Regards.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Three young men died for Rationalization.
           Yet, Margaret Bloody Thatcher LIVES!"
                                            'Brassed Off'




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 24 Aug 2021 03:46:02 +0000
Resent-Message-ID: <handler.49959.B49959.16297767607326 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16297767607326
          (code B ref 49959); Tue, 24 Aug 2021 03:46:02 +0000
Received: (at 49959) by debbugs.gnu.org; 24 Aug 2021 03:46:00 +0000
Received: from localhost ([127.0.0.1]:42879 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mINNv-0001u5-Je
	for submit <at> debbugs.gnu.org; Mon, 23 Aug 2021 23:45:59 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:35093
 helo=vsmtp02.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mINNr-0001tr-B3
 for 49959 <at> debbugs.gnu.org; Mon, 23 Aug 2021 23:45:58 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-21.cdn77.com
 [156.146.34.21] (may be forged)) by vsmtp02.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17O3jqcS024754 for <49959 <at> debbugs.gnu.org>;
 Tue, 24 Aug 2021 12:45:52 +0900 (JST)
Date: Tue, 24 Aug 2021 12:45:51 +0900
Message-ID: <87mtp78pzk.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <87o89nmyfr.wl-nomiya@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: 28.0.50; Emacs
 got quasi freeze Message-ID : Date & Time: Tue, 24 Aug 2021 10:19:36 +0900
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <87o89nmyfr.wl-nomiya@HIDDEN>
  Date & Time: Tue, 24 Aug 2021 10:19:36 +0900

[MN] == Masaru Nomiya <nomiya@HIDDEN> has written:

MN> Hello,

MN> In the Message; 

MN>   Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
MN>   Message-ID : <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
MN>   Date & Time: Mon, 23 Aug 2021 10:35:02 +0200

[...]
RM>  If it is a VisibilityNotify event, then maybe the attached patch will
RM>  help.

RM>  Thanks, martin
RM>  [2 VisibilityNotify.diff <text/x-patch (7bit)>]
RM>  diff --git a/src/xterm.c b/src/xterm.c
RM>  index 6c6a62adb2..6e562ce8e9 100644
RM>  --- a/src/xterm.c
RM>  +++ b/src/xterm.c
RM>  @@ -9354,7 +9354,11 @@ handle_one_xevent (struct x_display_info *dpyinfo,
RM>         f = x_top_window_to_frame (dpyinfo, event->xvisibility.window);
RM>         if (f && (event->xvisibility.state == VisibilityUnobscured
RM>   		|| event->xvisibility.state == VisibilityPartiallyObscured))
RM>  -	SET_FRAME_VISIBLE (f, 1);
RM>  +	{
RM>  +	  f->output_data.x->has_been_visible = true;
RM>  +	  SET_FRAME_GARBAGED (f);
RM>  +	  SET_FRAME_VISIBLE (f, 1);
RM>  +	}

RM>         goto OTHER;

MN> Thanks.

MN> I'll check with this pacth.

Sorry, but it's off the mark.

That is, when

Tue Aug 24 12:37:39 JST 2021
_NET_WM_STATE(ATOM) = _NET_WM_STATE_HIDDEN

appears, it doesn't start rendering (= enlightenment doesn't remove
this property).

Thanks.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Three young men died for Rationalization.
           Yet, Margaret Bloody Thatcher LIVES!"
                                            'Brassed Off'




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 24 Aug 2021 09:43:01 +0000
Resent-Message-ID: <handler.49959.B49959.16297981224611 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16297981224611
          (code B ref 49959); Tue, 24 Aug 2021 09:43:01 +0000
Received: (at 49959) by debbugs.gnu.org; 24 Aug 2021 09:42:02 +0000
Received: from localhost ([127.0.0.1]:43269 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mISwT-0001C5-Kx
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 05:42:02 -0400
Received: from mout.gmx.net ([212.227.15.15]:46117)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mISwR-0001Bg-ES
 for 49959 <at> debbugs.gnu.org; Tue, 24 Aug 2021 05:42:00 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629798113;
 bh=FprYwQ3OMnbqAYocvaWt2R6yVYR76CqK7bi1a0Wr6zQ=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=IlUzUHfrezSamea9gQr85k7rjPAgA348qzBa+fM4oFa8di3YGO8PgLeX5vIThY1GO
 F1AmefPHz5FPxVJwEE0IzmgriDioDRAQctKyW7XoDd5ozfVsSWJstzFOd2jpcUklCM
 xPnQWC+KDSWT43yImy/Rpb6oeg+GpxRa6GOPJw5M=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.186]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1M72oH-1mOl8o0En9-008aRq; Tue, 24
 Aug 2021 11:41:53 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
Date: Tue, 24 Aug 2021 11:41:52 +0200
MIME-Version: 1.0
In-Reply-To: <87mtp78pzk.wl-nomiya@HIDDEN>
Content-Type: multipart/mixed; boundary="------------ED10111E0D622541B8D5D597"
Content-Language: en-US
X-Provags-ID: V03:K1:zK5dA+8g9pGO3U/2zvbPkjDXKM47OiEWYhms85B7ci+RnCr8Z4J
 0UTnZj36kGRJT+BsjsdV/9PVZk2LMDz01mFK7gic44RJCbvgFzt3mwruiGj7kXEFD1J8Vys
 u5k+gMyN6glKrgTR3H39FUAX1pkG0R0crheeQUGIIvNGVBztqWjwS/CrkEYtTynGuOEhI4j
 WlKam3UmkN6KLQY2Lf9vg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:XtTe1IGS5CM=:V3rTE0AtrFpcxLJRNsrlLC
 9z8H0fRw5yPGmNW4bdswQUC1LF93c+oHA6wb/CpTWL6Fot82EiPRo0NNYl5NkzSD+7f/BmMVt
 0Uq2taaCt6eAp13dY0tkufZgO1KoHLfhlJ6lLSf2cCAgjoABfuINyTHrT/fLMMyxFnw0yAp1x
 FcaVsTndmpilCwtQcX+PhT5wj6YMsdUm5r0TaMWxU9idigWlTlka7VaZ++XrVaPVywkWmfPI6
 32UeFxwDrT1kQbYVy2XRDp6pNbDCeYxXHFt/1NYzoxmw13zB5kjorS43tnk1IXVZCOnf/DGof
 TrKePvrg44C/ub44szVrIXvIJPZlHcqgG6qM9TT3Mc9UVlQ8wcjb39tQ8gp72ILDvSBt27WHe
 81Lwtq8n4gYYr7oCxklEDLhFlRn4RsWSJqmzOyEy+gGtII+2XSBvDJ+sytgauacj77wcEzywe
 Qk3zITqGkSnTS9eUIKMqnv1RPp6PglLpNUO4rFHlc0xiyw63lalVS2EZuEAzhSEuA4QvOvGW6
 J4vmvnCAXpFsptMG3D0tfn6vlNUfoKB2WT5rsuejdR+rY1euSrz/ZN/BMUA5fw1rw9XeGo3nY
 dtlLbBNgw8LZYaR0zInfIUOR0MLqoUrFBDpu6BPV1pduHz++MVrCvmwcz38gsRVSiseOEkDI/
 Ku0t3vH5+FKWYcgfN+2w0x/yX6mGMB3KSlAk4hlcgJ8+1qdHi18w7i7B89LtACyCZ3wvP17KE
 LeJzTdWkS6bwoRfwuPKDeXCO++BdAgFS2zogzkj5E17/zhNEn+nmi4YGLdXApkVHPAiYaXD6S
 ViW2CCTPDcYVyrrVUeDy8ZKMn8go3v40pZ7jiaYNEDPD8Bce4hZmUdMw5vazMHz9f2l5adWo8
 enZg8BYmy2kANdVlBLfDDqYm2JVbqlMlS378DezVPeaJK7mJF+z2O3n6npKdsJBtWNvETf9Sb
 Qawt5sSycvO9SMOiOjHhqqQKx0hImsCCHCLx2uMyIrigsZuYHj+piHBDvTlw/c0Jun4hQT8cv
 mU+YUJvJ4KkHm9G7gb1nR3crjnmV6jluFjSSJFTI5gD8G69pEWOG4DFVtqXmlgT2S4yNmDDKC
 uWu1iPYKeLfZMkUU/gWBZXMbMwxxdFi6HNMFAT3OaIa/BX8vInN7xUUGQ==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------ED10111E0D622541B8D5D597
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > That is, when
 >
 > Tue Aug 24 12:37:39 JST 2021
 > _NET_WM_STATE(ATOM) = _NET_WM_STATE_HIDDEN
 >
 > appears, it doesn't start rendering (= enlightenment doesn't remove
 > this property).

So it _is_ a PropertyNotify event we should react to.  I'll attach yet
another patch to that purpose.

martin

--------------ED10111E0D622541B8D5D597
Content-Type: text/x-patch;
 name="enlightenment.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="enlightenment.diff"

diff --git a/src/termhooks.h b/src/termhooks.h
index 1d3cdc8fe8..479b8a1c29 100644
=2D-- a/src/termhooks.h
+++ b/src/termhooks.h
@@ -168,7 +168,8 @@ #define EMACS_TERMHOOKS_H
 				   Lisp-level event value.
 				   (Only the toolkit version uses these.)  */
   ICONIFY_EVENT,		/* An X client iconified this window.  */
-  DEICONIFY_EVENT,		/* An X client deiconified this window.  */
+  DEICONIFY_EVENT,		/* An X client deiconified this window
+				   or made it visible.  */
   MENU_BAR_ACTIVATE_EVENT,      /* A button press in the menu bar
 				   (toolkit version only).  */
   DRAG_N_DROP_EVENT,		/* A drag-n-drop event is generated when
diff --git a/src/xterm.c b/src/xterm.c
index 6c6a62adb2..82d2ae3a52 100644
=2D-- a/src/xterm.c
+++ b/src/xterm.c
@@ -8166,22 +8166,19 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xproperty.window);
       if (f && event->xproperty.atom =3D=3D dpyinfo->Xatom_net_wm_state)
 	{
+	  bool was_iconified =3D FRAME_ICONIFIED_P (f);
           bool not_hidden =3D x_handle_net_wm_state (f, &event->xproperty=
);

-	  if (not_hidden && FRAME_ICONIFIED_P (f))
+	  if (not_hidden)
 	    {
 	      if (CONSP (frame_size_history))
 		frame_size_history_plain
-		  (f, build_string ("PropertyNotify, not hidden & iconified"));
+		  (f, build_string ("PropertyNotify, not hidden"));

-	      /* Gnome shell does not iconify us when C-z is pressed.
-		 It hides the frame.  So if our state says we aren't
-		 hidden anymore, treat it as deiconified.  */
+	      SET_FRAME_GARBAGED (f);
 	      SET_FRAME_VISIBLE (f, 1);
-	      SET_FRAME_ICONIFIED (f, false);
-
 	      f->output_data.x->has_been_visible =3D true;
-	      inev.ie.kind =3D DEICONIFY_EVENT;
+
 #if defined USE_GTK && defined HAVE_GTK3
 	      /* If GTK3 wants to impose some old size here (Bug#24526),
 		 tell it that the current size is what we want.  */
@@ -8192,18 +8189,27 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 		  f->was_invisible =3D false;
 		}
 #endif
-	      XSETFRAME (inev.ie.frame_or_window, f);
+	      if (was_iconified)
+		{
+		  SET_FRAME_ICONIFIED (f, false);
+		  inev.ie.kind =3D DEICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
 	    }
-	  else if (!not_hidden && !FRAME_ICONIFIED_P (f))
+	  else
 	    {
 	      if (CONSP (frame_size_history))
 		frame_size_history_plain
-		  (f, build_string ("PropertyNotify, hidden & not iconified"));
+		  (f, build_string ("PropertyNotify, hidden"));

 	      SET_FRAME_VISIBLE (f, 0);
-	      SET_FRAME_ICONIFIED (f, true);
-	      inev.ie.kind =3D ICONIFY_EVENT;
-	      XSETFRAME (inev.ie.frame_or_window, f);
+
+	      if (!was_iconified)
+		{
+		  SET_FRAME_ICONIFIED (f, true);
+		  inev.ie.kind =3D ICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
 	    }
 	}

@@ -8402,7 +8408,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xmap.window);
       if (f)
         {
-	  bool iconified =3D FRAME_ICONIFIED_P (f);
+	  bool was_iconified =3D FRAME_ICONIFIED_P (f);
 	  int value;
 	  bool sticky;
           bool not_hidden =3D x_get_current_wm_state (f, event->xmap.wind=
ow, &value, &sticky);
@@ -8410,7 +8416,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 	  if (CONSP (frame_size_history))
 	    frame_size_history_extra
 	      (f,
-	       iconified
+	       was_iconified
 	       ? (not_hidden
 		  ? build_string ("MapNotify, not hidden & iconified")
 		  : build_string ("MapNotify, hidden & iconified"))
@@ -8434,7 +8440,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 #endif /* Not USE_GTK */
 	    }

-	  if (!iconified)
+	  if (!was_iconified)
 	    {
 	      /* The `z-group' is reset every time a frame becomes
 		 invisible.  Handle this here.  */
@@ -8459,13 +8465,13 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 		}
 #endif
 	      f->output_data.x->has_been_visible =3D true;
-	    }

-          if (not_hidden && iconified)
-            {
-              inev.ie.kind =3D DEICONIFY_EVENT;
-              XSETFRAME (inev.ie.frame_or_window, f);
-            }
+	      if (was_iconified)
+		{
+		  inev.ie.kind =3D DEICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
+	    }
         }
       goto OTHER;

@@ -9354,7 +9360,21 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xvisibility.window);
       if (f && (event->xvisibility.state =3D=3D VisibilityUnobscured
 		|| event->xvisibility.state =3D=3D VisibilityPartiallyObscured))
-	SET_FRAME_VISIBLE (f, 1);
+	{
+#if defined USE_GTK && defined HAVE_GTK3
+	  /* If GTK3 wants to impose some old size here (Bug#24526),
+	     tell it that the current size is what we want.  */
+	  if (f->was_invisible)
+	    {
+	      xg_frame_set_char_size
+		(f, FRAME_PIXEL_WIDTH (f), FRAME_PIXEL_HEIGHT (f));
+	      f->was_invisible =3D false;
+	    }
+#endif
+	  f->output_data.x->has_been_visible =3D true;
+	  SET_FRAME_GARBAGED (f);
+	  SET_FRAME_VISIBLE (f, 1);
+	}

       goto OTHER;


--------------ED10111E0D622541B8D5D597--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 24 Aug 2021 12:36:01 +0000
Resent-Message-ID: <handler.49959.B49959.162980851730683 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162980851730683
          (code B ref 49959); Tue, 24 Aug 2021 12:36:01 +0000
Received: (at 49959) by debbugs.gnu.org; 24 Aug 2021 12:35:17 +0000
Received: from localhost ([127.0.0.1]:43411 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIVe9-0007yl-1m
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 08:35:17 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:54772
 helo=vsmtp01.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mIVe5-0007yY-1o
 for 49959 <at> debbugs.gnu.org; Tue, 24 Aug 2021 08:35:15 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-11.cdn77.com
 [156.146.34.11] (may be forged)) by vsmtp01.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17OCZ9aG016129 for <49959 <at> debbugs.gnu.org>;
 Tue, 24 Aug 2021 21:35:09 +0900 (JST)
Date: Tue, 24 Aug 2021 21:35:09 +0900
Message-ID: <87mtp7f2bm.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: 28.0.50; Emacs
 got quasi freeze Message-ID : Date & Time: Tue, 24 Aug 2021 11:41:52 +0200
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
  Date & Time: Tue, 24 Aug 2021 11:41:52 +0200

[RM] == martin rudalics <rudalics@HIDDEN> has written:

RM>  [1  <text/plain; utf-8 (7bit)>]
RM>  > That is, when
RM>  >
RM>  > Tue Aug 24 12:37:39 JST 2021
RM>  > _NET_WM_STATE(ATOM) = _NET_WM_STATE_HIDDEN
RM>  >
RM>  > appears, it doesn't start rendering (= enlightenment doesn't remove
RM>  > this property).

RM>  So it _is_ a PropertyNotify event we should react to.  I'll attach yet
RM>  another patch to that purpose.

RM>  martin
RM>  [2 enlightenment.diff <text/x-patch (quoted-printable)>]
RM>  diff --git a/src/termhooks.h b/src/termhooks.h
RM>  index 1d3cdc8fe8..479b8a1c29 100644
[...]
RM>  +	  f->output_data.x->has_been_visible = true;
RM>  +	  SET_FRAME_GARBAGED (f);
RM>  +	  SET_FRAME_VISIBLE (f, 1);
RM>  +	}

RM>         goto OTHER;

Sorry, but without avail.

Thanks.

---
┏━━┓彡     Masaru Nomiya              mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Tim Cook, the C.E.O. of Apple, said earlier this year that he would
o	   not let his nephew join social networks. Bill Gates banned cellphone
	   until his children were teenagers, and Melinda Gates wrote that she	            wished they had waited even longer. Steve Jobs would not let his young
	   children near iPads."
-- 'A Dark Consensus About Screens and Kids Begins to Emerge in Silicon Valley - The New York Times' --






Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 24 Aug 2021 14:15:02 +0000
Resent-Message-ID: <handler.49959.B49959.16298144899292 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16298144899292
          (code B ref 49959); Tue, 24 Aug 2021 14:15:02 +0000
Received: (at 49959) by debbugs.gnu.org; 24 Aug 2021 14:14:49 +0000
Received: from localhost ([127.0.0.1]:44931 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIXCS-0002Po-T4
	for submit <at> debbugs.gnu.org; Tue, 24 Aug 2021 10:14:49 -0400
Received: from mout.gmx.net ([212.227.15.18]:54619)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mIXCQ-0002Pa-TG
 for 49959 <at> debbugs.gnu.org; Tue, 24 Aug 2021 10:14:47 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629814478;
 bh=T2E8zRc+chPBsULXld66Jt7APGhOoOoXGGXnfr9OXPg=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=YlXNz9sJqg2hpkzmgQM9BtAPnYquxLCifeFnqQZNVNie02LJ+RNH5NJWoxuxvBKhc
 twd2ZzB0kRFemQCAI5TdmWKX/ZgNdFGUkOg0fnQarzt+VvXwrq0bN2l0XHKz/iYPIF
 PLUMTOhUsHuftLChz64a5Lukbo0ZKrRVaBskW/gg=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.100] ([212.95.5.186]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MQMyZ-1meisx2Raz-00MNcD; Tue, 24
 Aug 2021 16:14:38 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
Date: Tue, 24 Aug 2021 16:14:37 +0200
MIME-Version: 1.0
In-Reply-To: <87mtp7f2bm.wl-nomiya@HIDDEN>
Content-Type: multipart/mixed; boundary="------------8CCB4CDB4F5A85FEAAE0835E"
Content-Language: en-US
X-Provags-ID: V03:K1:mETqZnBuWrpxgMT5HmnUIbGfZEDzlioUQ9trwM1l6/ZfzQi+n2z
 NbDQpqcm57GGtmf9ByoNA6txTQ1Ja9p/rfQ5lxJh3TkOQJFzHFgK6QeyKCeOblBBDMDUvGL
 t50lceppZcYtAjQ/IfYPPHw2d0zvOPqWID4GAeeLtO9oFTlKWo4izcPZ9BurqtGrbSzcetv
 ihBMW8cd5xEKSnWOO4Fdw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:YkAX1+dyxPM=:vZiDEoiL4ftvlNuJM0up1E
 Awm+ZeaJTHQpmNsuBkCQBQC1R6xKqKLngK3TD8pjaP9k15mYWdxGnwBsUDpTF8U70r25IjeOZ
 btSNE5MZdVRw5mApAlmLe+9B2uRmDtbX7Tu+HJ7H2lBqyFDORg85hsk+AsR/mF3FNXz0DsC8I
 4/kxXu/bKTCoIsHKOV2RvK704Q98VTFxYDbm7T6SUnghkOANZYdRKwGYqYy3linbkN6ZrJ1nY
 2e/ThIHfFf1oiF1GhIUiJZtJlAAqNa1SxCK2yG4xpLO50tskJ1aU8k72+zPEunC5ViktNbrCw
 /0hozDefmQpb2CBTpJTTTVxBHyd8w52Ghl8vsVSRP7f0FnoW6+J2oR+wrtX/Lor05QJUh+zrL
 h1BgHbb129nVYVp8rzLF/YseFwLIAlyifmEfVY9tk9DmUtqf3etdRTjBT7QM9z3gAEBQjnE9S
 aTiQZhrWxLAR47cCl0oxL/nDpjh3Tml3xGNOWJi6VNHA+6f9bUvPImm7bwIUowKDi30/022iW
 9dqbKkiEnpdkmqsTsmpXkbR9+cVam5M3v8dsK0Cj/+6UbwXNam7TbPEpsaZyT0Z6zbNisXzFm
 ih++E+/cMknrd7T8PfO/3ccusk4XV42iQJYSBKze0ZTbTaxv/e9GxORJJ77+BFB3zD3yxcS4X
 jpoOet+2rbib3GpvoXxdMV5h1Szw6Ovc+2SgXQvtVHigVi6bChdCf7ES/MQQJxbCvyz6Cru1U
 7NWN4mVjB+jRU36EOHfka3iQ6V5EeK0b+5SFGGRautGEMPV/ktrjYEGpR8IGlSl09hfQRSwDK
 I54BPgqUodAfgBGfHDuMQmnIcuqM1wvnFCq7LkZh7y2HnDP4hRLILfJBNDFjvvtgnglXPlVml
 Y30vN6+UBZq0/zJVk9j+GlqfdGnpjUl2XpBRy9p82HPnQpm86Tf6iKW1H+LmbVczXBTWGbNHu
 SeGwEn+u4Jju+8Dbqk/pNrhAbP3YB7dhvxBPg1cQr0saWubkhQhocNa07ZoSI8Cf+ZT4P9ySk
 R8i9h57ceAqUVyXHX85jMDEuHDrirrLKeq26Ew3FlrA2Zv3iX5ptWViKr0zZH+m2Ad43q2H+2
 JWnLNuqmLYF8zI0J4w1RmLVxiTPiFDWKqdPgKe6UBGhATs8oVgqit3C9A==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------8CCB4CDB4F5A85FEAAE0835E
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > Sorry, but without avail.

One escalation more.

martin

--------------8CCB4CDB4F5A85FEAAE0835E
Content-Type: text/x-patch;
 name="enlightenment.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="enlightenment.diff"

diff --git a/src/termhooks.h b/src/termhooks.h
index 1d3cdc8fe8..479b8a1c29 100644
=2D-- a/src/termhooks.h
+++ b/src/termhooks.h
@@ -168,7 +168,8 @@ #define EMACS_TERMHOOKS_H
 				   Lisp-level event value.
 				   (Only the toolkit version uses these.)  */
   ICONIFY_EVENT,		/* An X client iconified this window.  */
-  DEICONIFY_EVENT,		/* An X client deiconified this window.  */
+  DEICONIFY_EVENT,		/* An X client deiconified this window
+				   or made it visible.  */
   MENU_BAR_ACTIVATE_EVENT,      /* A button press in the menu bar
 				   (toolkit version only).  */
   DRAG_N_DROP_EVENT,		/* A drag-n-drop event is generated when
diff --git a/src/xterm.c b/src/xterm.c
index 6c6a62adb2..2c64411518 100644
=2D-- a/src/xterm.c
+++ b/src/xterm.c
@@ -8166,22 +8166,19 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xproperty.window);
       if (f && event->xproperty.atom =3D=3D dpyinfo->Xatom_net_wm_state)
 	{
+	  bool was_iconified =3D FRAME_ICONIFIED_P (f);
           bool not_hidden =3D x_handle_net_wm_state (f, &event->xproperty=
);

-	  if (not_hidden && FRAME_ICONIFIED_P (f))
+	  if (not_hidden)
 	    {
 	      if (CONSP (frame_size_history))
 		frame_size_history_plain
-		  (f, build_string ("PropertyNotify, not hidden & iconified"));
+		  (f, build_string ("PropertyNotify, not hidden"));

-	      /* Gnome shell does not iconify us when C-z is pressed.
-		 It hides the frame.  So if our state says we aren't
-		 hidden anymore, treat it as deiconified.  */
+	      SET_FRAME_GARBAGED (f);
 	      SET_FRAME_VISIBLE (f, 1);
-	      SET_FRAME_ICONIFIED (f, false);
-
 	      f->output_data.x->has_been_visible =3D true;
-	      inev.ie.kind =3D DEICONIFY_EVENT;
+
 #if defined USE_GTK && defined HAVE_GTK3
 	      /* If GTK3 wants to impose some old size here (Bug#24526),
 		 tell it that the current size is what we want.  */
@@ -8192,18 +8189,25 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 		  f->was_invisible =3D false;
 		}
 #endif
+
+	      SET_FRAME_ICONIFIED (f, false);
+	      inev.ie.kind =3D DEICONIFY_EVENT;
 	      XSETFRAME (inev.ie.frame_or_window, f);
 	    }
-	  else if (!not_hidden && !FRAME_ICONIFIED_P (f))
+	  else
 	    {
 	      if (CONSP (frame_size_history))
 		frame_size_history_plain
-		  (f, build_string ("PropertyNotify, hidden & not iconified"));
+		  (f, build_string ("PropertyNotify, hidden"));

 	      SET_FRAME_VISIBLE (f, 0);
-	      SET_FRAME_ICONIFIED (f, true);
-	      inev.ie.kind =3D ICONIFY_EVENT;
-	      XSETFRAME (inev.ie.frame_or_window, f);
+
+	      if (!was_iconified)
+		{
+		  SET_FRAME_ICONIFIED (f, true);
+		  inev.ie.kind =3D ICONIFY_EVENT;
+		  XSETFRAME (inev.ie.frame_or_window, f);
+		}
 	    }
 	}

@@ -8402,7 +8406,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xmap.window);
       if (f)
         {
-	  bool iconified =3D FRAME_ICONIFIED_P (f);
+	  bool was_iconified =3D FRAME_ICONIFIED_P (f);
 	  int value;
 	  bool sticky;
           bool not_hidden =3D x_get_current_wm_state (f, event->xmap.wind=
ow, &value, &sticky);
@@ -8410,7 +8414,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 	  if (CONSP (frame_size_history))
 	    frame_size_history_extra
 	      (f,
-	       iconified
+	       was_iconified
 	       ? (not_hidden
 		  ? build_string ("MapNotify, not hidden & iconified")
 		  : build_string ("MapNotify, hidden & iconified"))
@@ -8434,7 +8438,7 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 #endif /* Not USE_GTK */
 	    }

-	  if (!iconified)
+	  if (!was_iconified)
 	    {
 	      /* The `z-group' is reset every time a frame becomes
 		 invisible.  Handle this here.  */
@@ -8459,13 +8463,10 @@ handle_one_xevent (struct x_display_info *dpyinfo,
 		}
 #endif
 	      f->output_data.x->has_been_visible =3D true;
-	    }

-          if (not_hidden && iconified)
-            {
-              inev.ie.kind =3D DEICONIFY_EVENT;
-              XSETFRAME (inev.ie.frame_or_window, f);
-            }
+	      inev.ie.kind =3D DEICONIFY_EVENT;
+	      XSETFRAME (inev.ie.frame_or_window, f);
+	    }
         }
       goto OTHER;

@@ -9354,7 +9355,25 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_top_window_to_frame (dpyinfo, event->xvisibility.window);
       if (f && (event->xvisibility.state =3D=3D VisibilityUnobscured
 		|| event->xvisibility.state =3D=3D VisibilityPartiallyObscured))
-	SET_FRAME_VISIBLE (f, 1);
+	{
+#if defined USE_GTK && defined HAVE_GTK3
+	  /* If GTK3 wants to impose some old size here (Bug#24526),
+	     tell it that the current size is what we want.  */
+	  if (f->was_invisible)
+	    {
+	      xg_frame_set_char_size
+		(f, FRAME_PIXEL_WIDTH (f), FRAME_PIXEL_HEIGHT (f));
+	      f->was_invisible =3D false;
+	    }
+#endif
+	  f->output_data.x->has_been_visible =3D true;
+	  SET_FRAME_GARBAGED (f);
+	  SET_FRAME_VISIBLE (f, 1);
+
+	  SET_FRAME_ICONIFIED (f, false);
+	  inev.ie.kind =3D DEICONIFY_EVENT;
+	  XSETFRAME (inev.ie.frame_or_window, f);
+	}

       goto OTHER;


--------------8CCB4CDB4F5A85FEAAE0835E--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 25 Aug 2021 11:02:02 +0000
Resent-Message-ID: <handler.49959.B49959.162988929520355 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162988929520355
          (code B ref 49959); Wed, 25 Aug 2021 11:02:02 +0000
Received: (at 49959) by debbugs.gnu.org; 25 Aug 2021 11:01:35 +0000
Received: from localhost ([127.0.0.1]:45897 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIqex-0005EV-CR
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 07:01:35 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:36818
 helo=vsmtp02.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mIqes-00058u-91
 for 49959 <at> debbugs.gnu.org; Wed, 25 Aug 2021 07:01:30 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-151.cdn77.com
 [156.146.34.151] (may be forged)) by vsmtp02.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17PB1Mhs023425 for <49959 <at> debbugs.gnu.org>;
 Wed, 25 Aug 2021 20:01:23 +0900 (JST)
Date: Wed, 25 Aug 2021 20:01:22 +0900
Message-ID: <87czq1vldp.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : Re: bug#49959: 28.0.50;
 Emacs
 got quasi freeze Message-ID : Date & Time: Tue, 24 Aug 2021 16:14:37 +0200
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : Re: bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
  Date & Time: Tue, 24 Aug 2021 16:14:37 +0200

[RM] == martin rudalics <rudalics@HIDDEN> has written:

RM>  [1  <text/plain; utf-8 (7bit)>]
RM>  > Sorry, but without avail.

RM>  One escalation more.

RM>  martin
RM>  [2 enlightenment.diff <text/x-patch (quoted-printable)>]
RM>  diff --git a/src/termhooks.h b/src/termhooks.h
RM>  index 1d3cdc8fe8..479b8a1c29 100644
RM>  --- a/src/termhooks.h
RM>  +++ b/src/termhooks.h
RM>  @@ -168,7 +168,8 @@ #define EMACS_TERMHOOKS_H
RM>   				   Lisp-level event value.
RM>   				   (Only the toolkit version uses these.)  */
RM>     ICONIFY_EVENT,		/* An X client iconified this window.  */
[...]
RM>  +	  XSETFRAME (inev.ie.frame_or_window, f);
RM>  +	}

RM>         goto OTHER;

Sorry, but still without avail.

Thanks.

---
┏━━┓彡     Masaru Nomiya              mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Tim Cook, the C.E.O. of Apple, said earlier this year that he would
	   not let his nephew join social networks. Bill Gates banned cellphone
	   until his children were teenagers, and Melinda Gates wrote that she
	   wished they had waited even longer. Steve Jobs would not let his young
	   children near iPads."
--'A Dark Consensus About Screens and Kids Begins to Emerge in Silicon Valley' -
The New York Times --




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 25 Aug 2021 14:17:02 +0000
Resent-Message-ID: <handler.49959.B49959.162990100411824 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162990100411824
          (code B ref 49959); Wed, 25 Aug 2021 14:17:02 +0000
Received: (at 49959) by debbugs.gnu.org; 25 Aug 2021 14:16:44 +0000
Received: from localhost ([127.0.0.1]:47259 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mIthr-00034e-Qn
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:16:43 -0400
Received: from mout.gmx.net ([212.227.15.15]:56471)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mIthp-00034Q-O9
 for 49959 <at> debbugs.gnu.org; Wed, 25 Aug 2021 10:16:42 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629900995;
 bh=IuZP6y69OEYPZm6AvfITfaBM6KV1GQhFsG9WO8Thtu8=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=ecKpfXcuU+UmKqaCq7ppJ00Jr9agzxxcgmYOhuLbdcodhDZkt2dtLZ8/gB0Uc90sx
 dMKVuDvv0rbKzzjQC4MkTOUMIPL2AfmXpd8v118EbjUe1u9x3/6sPBU7rOQryiLiDO
 JsZqSzIjU494/odvZxPa+5WuGteuX5B26uII1lzQ=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.185]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MvsIv-1n8OWq0Kd5-00szBH; Wed, 25
 Aug 2021 16:16:35 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
Date: Wed, 25 Aug 2021 16:16:33 +0200
MIME-Version: 1.0
In-Reply-To: <87czq1vldp.wl-nomiya@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:1T1rkE2br8f304+3tC1RjFzeJ6ShrptI0A9kKq+M6xgsXUccOwu
 2X3qTmL2ez08JUL5bVEdsmF86ihI0ahgIQ3c3XHxoV7wIagkhGS22U1pN3c/TxC6+9XfRtK
 FeaJCnav3u/Rkx1UpRTSaDvtV104/NvUV8ART6hMJtPoo4FcedrEpa3Aqnsce7UgL7rcLg2
 habL1IpNWryH4qvCqwPzQ==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:bP4i31HHczk=:q4ujHX9r7ncanHYauuUDZO
 aCIAmxHH/oAQrKPyX1Yu9meocE8L1FTTNEZSaHwzfodU+L5xoM1nA+QL+aB2ie8v1Bwg1rHNg
 gU8Cb/l/QR0nIqoSlsnfeCFysnDg7MwO89L3BNoC4zezRt0vTiDGhNEUNQWcIdAPrwsROzfHz
 FtnzsZK+5PJL+NUeSvtcXex+N4BvhzUww+ynjWRL0Sv9e+wCGmS4hN2yAnGCo4NtZhsgOcOVL
 vt6uFSZgI9Wj1LI9JQsAZU2KcNCoKNrP0YCd5IPIuecp0JfiBjg+pVNfjgHO0ezLAZr4X3FaN
 IC+Vq39EwqnJ6DzY80vnFVN+OQ7R5z7BvXY5GzgHCXCqY2rr96mYxpoaNrd/fATvO9ZTN0K23
 09aJh0QwrPGSw8DuJvdSpustefrr7AM+40uW1d+9vmwl6tbl3mKfASkmT28/+ThOUIu2xV4H+
 NFbDmswSj+U4uoHdk6ACdflRs2rXY55rIQDO9Y3XmgkjASr28kt0xHQDvuCvUDJvb35uwfhpH
 VGL18CRgtd4KxeU0oQC5rJIQN9654uKkgriUclcWNYJDGx1eXT6dRHaLi571sIITqp6Dfwx/q
 YGiEPiZeEkkic54r6Qmuuuv//IWtylDvfstWqWwDX889+Kn0+Ql1vu8sAcA8fgJgweb7+/TNd
 Ug1JQAHs6Q2PWRj4M8ODza0JvJxv5NlzoqBn5+sqwGFr6zVg9gA/Ih6YTBHV3SGQ9WSDKQLLg
 H6sBSmjJIVelA/wbEfd+N9ILQnkMEAMDj2gN4PYbvF4DCGlgCjpvE4nRT6WfvYmXiKAk1A6Yd
 9Da/2pfCfUPJQLZLu5ueW8gdubKV6LBAFamMouV5m5g18JejQr8JQm8sR30X7mX+fM3qDQqQe
 yhJuk0lyME1TWVPKA7TZkAWBY2sPd2kpprhM+b7R9naqDyckuMB1A3o2L8SaJROQk5KSrmHhi
 9fvJ8YU9DRBd51jS0mH8ps3c7CNE/eK82X6IFmiZkOej9wJaWUwcRLFlufPF9TA7dOxnUTtyS
 wOpPLwh+HOUIa2Ue6DBLJzVMNDbQXx7PuiN+x3aNaMo+tz9lcm6V2+3lVyCUL1BLgpE+MRoeE
 uDoM9xFel0UI5I68/wJA6L2tuLlU2mJE3fsWuEZVZm863rb+wC+qegSZA==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > Sorry, but still without avail.

Then we have to dig deeper.  For this purpose please proceed as follows
with emacs -Q:

(1) Evaluate the form (setq frame-size-history '(100))

(2) Switch to another virtual desktop and back.

(3) Do C-g or whatever you need to make that frame accessible

(4) Evaluate the form (frame--size-history)

(5) Post the contents of the buffer named *frame-size-history* here

Thanks, martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 26 Aug 2021 00:26:01 +0000
Resent-Message-ID: <handler.49959.B49959.162993750429898 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162993750429898
          (code B ref 49959); Thu, 26 Aug 2021 00:26:01 +0000
Received: (at 49959) by debbugs.gnu.org; 26 Aug 2021 00:25:04 +0000
Received: from localhost ([127.0.0.1]:48013 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJ3Ca-0007mA-8s
	for submit <at> debbugs.gnu.org; Wed, 25 Aug 2021 20:25:04 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:56211
 helo=vsmtp01.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mJ3CW-0007le-Ht
 for 49959 <at> debbugs.gnu.org; Wed, 25 Aug 2021 20:25:02 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-151.cdn77.com
 [156.146.34.151] (may be forged)) by vsmtp01.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 17Q0OvXY017196 for <49959 <at> debbugs.gnu.org>;
 Thu, 26 Aug 2021 09:24:57 +0900 (JST)
Date: Thu, 26 Aug 2021 09:24:57 +0900
Message-ID: <87fsuxhx2e.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: 28.0.50; Emacs
 got quasi freeze Message-ID : Date & Time: Wed, 25 Aug 2021 16:16:33 +0200
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
  Date & Time: Wed, 25 Aug 2021 16:16:33 +0200

[RM] == martin rudalics <rudalics@HIDDEN> has written:

RM>  > Sorry, but still without avail.

RM>  Then we have to dig deeper.  For this purpose please proceed as follows
RM>  with emacs -Q:

RM>  (1) Evaluate the form (setq frame-size-history '(100))

RM>  (2) Switch to another virtual desktop and back.

RM>  (3) Do C-g or whatever you need to make that frame accessible

RM>  (4) Evaluate the form (frame--size-history)

RM>  (5) Post the contents of the buffer named *frame-size-history* here

1. for the emacs with bug

Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x1654540>
set_window_configuration (4), MS=140x150 IH IV

2. for the emacs without bug

Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x25c2540>
x_make_frame_visible
set_window_configuration (4), MS=140x150 IH IV

Thanks.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Three young men died for Rationalization.
           Yet, Margaret Bloody Thatcher LIVES!"
                                            'Brassed Off'




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Thu, 26 Aug 2021 07:54:01 +0000
Resent-Message-ID: <handler.49959.B49959.162996438717097 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.162996438717097
          (code B ref 49959); Thu, 26 Aug 2021 07:54:01 +0000
Received: (at 49959) by debbugs.gnu.org; 26 Aug 2021 07:53:07 +0000
Received: from localhost ([127.0.0.1]:48301 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mJACB-0004Rh-Gb
	for submit <at> debbugs.gnu.org; Thu, 26 Aug 2021 03:53:07 -0400
Received: from mout.gmx.net ([212.227.17.22]:52077)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mJAC7-0004R6-89
 for 49959 <at> debbugs.gnu.org; Thu, 26 Aug 2021 03:53:07 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1629964376;
 bh=qO01TIdEWd9FeMIoVSzf/t3+gw+KLsNeny0PC9az8Og=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=WK2PmU3wpyVJJin0Mf+HjS6/xiit1MfSju47PMpjeSWYJ5FW2sPkc8p+w/bmaJPVO
 gLHdbdjGjcdLVIV2pJLonmpPahktRhgKBgPib0OOKF+8EVBTo3BpFHyIW39TC5q6cQ
 gs+Lmmvmk2shsdn3q5+6anUJVQzjRWLXvfxTFAB8=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([212.95.5.85]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1MuUjC-1n9Tti24iQ-00rWWe; Thu, 26
 Aug 2021 09:52:56 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
Date: Thu, 26 Aug 2021 09:52:54 +0200
MIME-Version: 1.0
In-Reply-To: <87fsuxhx2e.wl-nomiya@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:DrEHvML0EkM5fVYlnDATV0rgbbHAWqwqOOa25AahvJr9gGW0i6U
 Ys2LGCFD7uvV4Lam4L1Jq67Zu+izmM9HCvFtb3koEOBm+foSuM9H+Y82aU70uLd7WNT2SMs
 TRGBKxH7wM1nyLXdff99IuNfKr6jGnz8fzHFVwbQLWXbGwIJMdhy+ZFMsStsT7mftPI9v2q
 8TAusV+JXCxWQdFXXEazw==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:ynn9EbAp3lw=:dIHm1P5F6sRlenW06sTPTJ
 /G7l80XFn49qAdtLW9Rk8RaZy7gixR40cCKzKYuMEtcSCMiEYQ795s93JubUdZJod/JNF31M5
 947xyg3zME04+xRuxKwj9r355hUv+AjJTUx2oEnnCOLQeoBsky/iOVbubJ68WogyXxV4jLavz
 KHcwJnSNSrZq1A5BQmUHRtTAWWYbkN9hh1Y26uGN4ln0o7WFrEdroUHYScEVhh4WRG3JEu+6n
 YlbYSUC92fOSxSLyMPLN8WCNmpRmQ6prsYLFU+B3HjavavfSqG1hTFyrl5BF9jRkJcwyjm8fp
 lQriHyDtr8D6xpz1rMqd7RnvXvecHZ9Tzv6alGk4p6qGLOj+6AW1Bj/NjTAm/ReP5xz8noY1s
 4l+XmsCegLKgd5UjBR4uccFyprYnEg/lTQFz1D3wpM0EIARHcjOfJQqR554cEuZY9uOU+bqzI
 OZnAqffIb4ahD0A6T18CMVL+fsIIIzVVr7UkdVWb4fepEiYKk8lWfwKJZH5irSCh1ScKT4ZYI
 1OhEMZ0jcwFqudqY+05GCmyC/luZBXfe4OBS6Lm2FtbRtpWJ/TtF0+tZF4/mlh/JS2R3C8V50
 dCZkF9iaNdtbkF2TJWgCaguYObwtpXMWZPShN/jRLSbqezE00E1XeqzONBGVM+qaAMMTHNG6E
 44aGW+dG5pXBqYX5r1JRnKD8AAzGC1qzx7gIvHYf540Gfat2jM9+pvQN1MooR6/2aishizG0z
 LsNcoZUVgIbR52exqDrs/ViDiqcRRKrvZKKa9AGwiOZEOnIg3WUz5ipTxtDxT2CBlAgTqtRXv
 SxmodgHclE2H+y8d/I46fXZo5BHrcqprKge1uAVe+ALbKlv0A+eBD992SncqxVtTOBnkxwW8V
 /B3twvohZLVOeRmsIixPvasedOMGeXECwJ+ShOwIfwWV4O0TiolfPymxjJVpBbcXGxcWO6cwk
 ZOyGVt0OJ3lnRqmmWqrRb0dme3W7nAWvHbj2MnsnRTaK6cjEXDjnS02WuOdLyYgT/xxspG5Dc
 IQ8RYQ1lWfm9d0QmcCQuqC+SODsVtW8mpMdjN14+hUuOHf2je8hJgSG0qDhbtCsUK5nkEdGa0
 uaphV/th2X/wQVN9XK+Eo8LVY5ElMPwRKseYFPK0gV6lVkb34evLdvqiQ==
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > 1. for the emacs with bug
 >
 > Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x1654540>
 > set_window_configuration (4), MS=140x150 IH IV
 >
 > 2. for the emacs without bug
 >
 > Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x25c2540>
 > x_make_frame_visible
 > set_window_configuration (4), MS=140x150 IH IV

One interesting aspect is that apparently in neither case we are
notified that our frame gets hidden when switching desktops.

Please do the following:

- Try again with the latest patch I sent you.

- Send me a diff of your "emacs with bug" and your "emacs without bug".

And, if possible, run the version "without bug" under GDB and post a
backtrace from a position where it produces the "x_make_frame_visible"
line, somewhere around here in xterm.c:

     if (!FRAME_VISIBLE_P (f))
       {
	if (CONSP (frame_size_history))
	  frame_size_history_plain
	    (f, build_string ("x_make_frame_visible"));

	x_wait_for_event (f, MapNotify);
       }

I cannot imagine how Emacs can get there without producing any recorded
events before or after it so it would be very interesting to find out
how it got there in the first place.

Thanks, martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Aug 2021 02:06:01 +0000
Resent-Message-ID: <handler.49959.B49959.163020273031603 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.163020273031603
          (code B ref 49959); Sun, 29 Aug 2021 02:06:01 +0000
Received: (at 49959) by debbugs.gnu.org; 29 Aug 2021 02:05:30 +0000
Received: from localhost ([127.0.0.1]:55200 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKACM-0008Da-KT
	for submit <at> debbugs.gnu.org; Sat, 28 Aug 2021 22:05:30 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:59170
 helo=vsmtp01.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mKACG-0008DM-Sq
 for 49959 <at> debbugs.gnu.org; Sat, 28 Aug 2021 22:05:25 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (KD027095159195.ppp-bb.dion.ne.jp
 [27.95.159.195]) by vsmtp01.cm2.dti.ne.jp (3.11v) with ESMTP AUTH id
 17T25EZ1004845 for <49959 <at> debbugs.gnu.org>;
 Sun, 29 Aug 2021 11:05:15 +0900 (JST)
Date: Sun, 29 Aug 2021 11:05:14 +0900
Message-ID: <877dg580px.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
 <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, Sorry for late reply. I's a hard work for me. :-) 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

Sorry for late reply.

I's a hard work for me. :-)

In the Message; 

  Subject    : bug#49959: 28.0.50; Emacs got quasi freeze
  Message-ID : <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
  Date & Time: Thu, 26 Aug 2021 09:52:54 +0200

[RM] == martin rudalics <rudalics@HIDDEN> has written:

MN> > 1. for the emacs with bug

MN> > Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x1654540>
MN> > set_window_configuration (4), MS=140x150 IH IV

MN> > 2. for the emacs without bug
MN> >
MN> > Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x25c2540>
MN> > x_make_frame_visible
MN> > set_window_configuration (4), MS=140x150 IH IV

RM>  One interesting aspect is that apparently in neither case we are
RM>  notified that our frame gets hidden when switching desktops.

RM>  Please do the following:

RM>  - Try again with the latest patch I sent you.

RM>  - Send me a diff of your "emacs with bug" and your "emacs without bug".

1. for emacs without bug

Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x55627cc9d400>
x_make_frame_visible
set_window_configuration (4), MS=140x150 IH IV 

2. for patched emacs

Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x5580c551de00>
set_window_configuration (4), MS=140x150 IH IV

RM>  And, if possible, run the version "without bug" under GDB and post a
RM>  backtrace from a position where it produces the "x_make_frame_visible"
RM>  line, somewhere around here in xterm.c:

RM>      if (!FRAME_VISIBLE_P (f))
RM>        {
RM>  	if (CONSP (frame_size_history))
RM>  	  frame_size_history_plain
RM>  	    (f, build_string ("x_make_frame_visible"));

RM>  	x_wait_for_event (f, MapNotify);
RM>        }

RM>  I cannot imagine how Emacs can get there without producing any recorded
RM>  events before or after it so it would be very interesting to find out
RM>  how it got there in the first place.

This one?

(gdb) bt
#0  builtin_lisp_symbol (index=0) at lisp.h:1008
#1  0x0000000000573854 in x_make_frame_visible (f=0x12815e8) at xterm.c:11686
#2  0x0000000000574044 in x_make_frame_visible_invisible
    (f=0x12815e8, visible=true) at xterm.c:11898
#3  0x000000000043bf11 in Fmake_frame_visible (frame=0x12815ed) at frame.c:2718
#4  0x000000000068f99d in funcall_subr
    (subr=0xe571c0 <Smake_frame_visible>, numargs=1, args=0x7fffffffa250)
    at eval.c:3126
#5  0x000000000068f47e in Ffuncall (nargs=2, args=0x7fffffffa248)
    at eval.c:3051
#6  0x00000000006e73d5 in exec_byte_code
    (bytestr=0x7fffda3a1a14, vector=0x7fffda3a0685, maxdepth=0x2e, args_template=0x402, nargs=1, args=0x7fffffffa7c0) at bytecode.c:632
#7  0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda3a0655, syms_left=0x402, nargs=1, args=0x7fffffffa7b8)
    at eval.c:3175
#8  0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda3a0655, nargs=1, arg_vector=0x7fffffffa7b8) at eval.c:3256
#9  0x000000000068f4d2 in Ffuncall (nargs=2, args=0x7fffffffa7b0)
--Type <RET> for more, q to quit, c to continue without paging--
    at eval.c:3055
#10 0x00000000006e73d5 in exec_byte_code
    (bytestr=0x7fffda3a1ad4, vector=0x7fffda3a0615, maxdepth=0xe, args_template=0x406, nargs=1, args=0x7fffffffae00) at bytecode.c:632
#11 0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda3a05c5, syms_left=0x406, nargs=1, args=0x7fffffffadf8)
    at eval.c:3175
#12 0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda3a05c5, nargs=1, arg_vector=0x7fffffffadf8) at eval.c:3256
#13 0x000000000068f4d2 in Ffuncall (nargs=2, args=0x7fffffffadf0)
    at eval.c:3055
#14 0x000000000068e1fb in Fapply (nargs=2, args=0x7fffffffadf0) at eval.c:2638
#15 0x000000000068f8a8 in funcall_subr
    (subr=0xe652c0 <Sapply>, numargs=2, args=0x7fffffffadf0) at eval.c:3106
#16 0x000000000068f47e in Ffuncall (nargs=3, args=0x7fffffffade8)
    at eval.c:3051
#17 0x00000000006e73d5 in exec_byte_code
    (bytestr=0x7fffd9ffb5c4, vector=0x7fffda06106d, maxdepth=0x3e, args_template=0x202, nargs=1, args=0x7fffffffb358) at bytecode.c:632
--Type <RET> for more, q to quit, c to continue without paging--
#18 0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda06103d, syms_left=0x202, nargs=1, args=0x7fffffffb358)
    at eval.c:3175
#19 0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda06103d, nargs=1, arg_vector=0x7fffffffb358) at eval.c:3256
#20 0x000000000068f4d2 in Ffuncall (nargs=2, args=0x7fffffffb350)
    at eval.c:3055
#21 0x00000000006e73d5 in exec_byte_code
    (bytestr=0x7fffda38f9c4, vector=0x7fffda07505d, maxdepth=0x3a, args_template=0x402, nargs=1, args=0x7fffffffb948) at bytecode.c:632
#22 0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda075025, syms_left=0x402, nargs=1, args=0x7fffffffb940)
    at eval.c:3175
#23 0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda075025, nargs=1, arg_vector=0x7fffffffb940) at eval.c:3256
#24 0x000000000068f4d2 in Ffuncall (nargs=2, args=0x7fffffffb938)
    at eval.c:3055
#25 0x00000000006e73d5 in exec_byte_code
    (bytestr=0x7fffda1842d4, vector=0x7fffda183fcd, maxdepth=0x1a, args_template--Type <RET> for more, q to quit, c to continue without paging--
=0x2, nargs=0, args=0x7fffffffbe60) at bytecode.c:632
#26 0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda183f9d, syms_left=0x2, nargs=0, args=0x7fffffffbe60)
    at eval.c:3175
#27 0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda183f9d, nargs=0, arg_vector=0x7fffffffbe60) at eval.c:3256
#28 0x000000000068f4d2 in Ffuncall (nargs=1, args=0x7fffffffbe58)
    at eval.c:3055
#29 0x00000000006e73d5 in exec_byte_code
    (bytestr=0x7fffda188124, vector=0x7fffda174cb5, maxdepth=0x3a, args_template=0x2, nargs=0, args=0x7fffffffc918) at bytecode.c:632
#30 0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda174c85, syms_left=0x2, nargs=0, args=0x7fffffffc918)
    at eval.c:3175
#31 0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda174c85, nargs=0, arg_vector=0x7fffffffc918) at eval.c:3256
#32 0x000000000068f4d2 in Ffuncall (nargs=1, args=0x7fffffffc910)
    at eval.c:3055
#33 0x00000000006e73d5 in exec_byte_code
--Type <RET> for more, q to quit, c to continue without paging--
    (bytestr=0x7fffda18a49c, vector=0x7fffda17429d, maxdepth=0x26, args_template=0x2, nargs=0, args=0x7fffffffcfe0) at bytecode.c:632
#34 0x000000000068fc50 in fetch_and_exec_byte_code
    (fun=0x7fffda17426d, syms_left=0x2, nargs=0, args=0x7fffffffcfe0)
    at eval.c:3175
#35 0x00000000006900c2 in funcall_lambda
    (fun=0x7fffda17426d, nargs=0, arg_vector=0x7fffffffcfe0) at eval.c:3256
#36 0x000000000068fdfa in apply_lambda (fun=0x7fffda17426d, args=0x0, count=4)
    at eval.c:3200
#37 0x000000000068de35 in eval_sub (form=0x7fffda6afbeb) at eval.c:2573
#38 0x000000000068d1d3 in Feval (form=0x7fffda6afbeb, lexical=0x0)
    at eval.c:2355
#39 0x00000000005b4856 in top_level_2 () at keyboard.c:1126
#40 0x000000000068af6d in internal_condition_case
    (bfun=0x5b4833 <top_level_2>, handlers=0x90, hfun=0x5b4100 <cmd_error>)
    at eval.c:1478
#41 0x00000000005b489a in top_level_1 (ignore=0x0) at keyboard.c:1134
#42 0x000000000068a1c2 in internal_catch
    (tag=0xe730, func=0x5b4858 <top_level_1>, arg=0x0) at eval.c:1198
--Type <RET> for more, q to quit, c to continue without paging--
#43 0x00000000005b478b in command_loop () at keyboard.c:1094
#44 0x00000000005b3be1 in recursive_edit_1 () at keyboard.c:720
#45 0x00000000005b3deb in Frecursive_edit () at keyboard.c:792
#46 0x00000000005afea6 in main (argc=1, argv=0x7fffffffd568) at emacs.c:2310

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Bill! You married with Computer.
          Not with Me!"
         "No..., with money."




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: 28.0.50; Emacs got quasi freeze
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Sun, 29 Aug 2021 07:23:02 +0000
Resent-Message-ID: <handler.49959.B49959.16302217315735 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16302217315735
          (code B ref 49959); Sun, 29 Aug 2021 07:23:02 +0000
Received: (at 49959) by debbugs.gnu.org; 29 Aug 2021 07:22:11 +0000
Received: from localhost ([127.0.0.1]:55440 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mKF8s-0001UR-NB
	for submit <at> debbugs.gnu.org; Sun, 29 Aug 2021 03:22:10 -0400
Received: from mout.gmx.net ([212.227.17.21]:37031)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mKF8p-0001Tu-7Q
 for 49959 <at> debbugs.gnu.org; Sun, 29 Aug 2021 03:22:09 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630221720;
 bh=O3poJUaJhKvlcRF9Sb8YqS4BHyAWTVeg2V3HDd+kJf8=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=Qm73elu/ArJb57liXKXW1bEoqo98uq9glHeQknSegncUILTATEM1dsd8PWTXltKO5
 EAyYv/TXNMP/3Sl7TPaSmV2vQedTX7wMSU+GriowtgMXIPDxxDk4UD09jB4L6noG68
 tGhxXhIcDEM4EsXL2Ve29vqyKlWt23/BkBZ8HOmI=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([213.142.97.35]) by mail.gmx.net (mrgmx104
 [212.227.17.168]) with ESMTPSA (Nemesis) id 1Mr9Bu-1mpfsk1CAY-00oGzU; Sun, 29
 Aug 2021 09:22:00 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
 <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
 <877dg580px.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <1fc12f13-1666-d775-f695-f353fd2f8738@HIDDEN>
Date: Sun, 29 Aug 2021 09:21:59 +0200
MIME-Version: 1.0
In-Reply-To: <877dg580px.wl-nomiya@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:QOPIZcB6DFPe/YwmqvG4Nfwj1BYfa4kYhPnasKhInfFUkjaVD2M
 ZmCLL0MGjHv3b+gUErNLm/a3W0FvTHRy2pudWnaJEWeGIQe/go/83Ivrn/H47zXPifkm39s
 2sXOgX/Wlj8XfTiosIGDfBP75KhhoSi4YfpyoEv0+A9aZA3JL1uN2PUQ9OVvKVArp/XWWbe
 aV3zwmaTEldHBgH79cNIA==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:gUGqk+77xJQ=:bNrFeax051WfRIaindsmlr
 ZPiEZ0lITw6Oeq3yfPwX1s7ZIsyOSqCpoGnVtruVNSpzCQkIp6ArVyn2FBXrr60DvZbS5gjhx
 JxZWpnfJ+Od31PltM8heZrO61Be72ejukJkxwhFUED4v67Iv0YfOwYjw2PFyQCEk6sZlM7Vt+
 zKob6XPX61SONneSr2bYNglYyrjdKApBHfDh/d6oaSxN3FPLYtFjRkCeBG5TLuqczM6yL8h/o
 2ahAaG3B0d1nAIDeVR93kfbgr7ESruYJ2K+3PWQ2rN5ezi2/6w238VbrUu20CW+ea42zDw9fC
 Q7taqGow9qtQrzjG5/4BiGmoSx3ZET0aK3WqnJynVmUU8GB6cE7klNNXlZiVmx0ny21CZH/CU
 Fa3FBpTZUS3ycy9R1iebr3Td+3CIFMtWR+N1rGNhYPtm5vvmaUxoyCuYGhgZez7w5NQxSBA9t
 baOxalyOa6jmEIWIosD3/ww3SPS0tTjFuHzsYPawpQ8gUebI1Gu136a/iekLHx3JK0X716MSs
 50MEO8mu1Lu9g1ow5Ph8vSplNmrry6qRz4s8Cc7vwF18aPWF9eN36VG1cXda5lTekJKt2cISb
 a4XfT7osvvKNa2+2OBJru+E3rL+fXvr6AxbTgqMga6DrxNZNpyPc4h80nSYOq4GmVkkt5DjLn
 JTTt6Gahd9d5CjafLVOWiVZlGOnPaXyFkix+2ZVD23M7NDfZENpX7kMtmMvHzzNRr9sIjJmSt
 OR58Nx3x3cmp78JhCxPDEjeEgMUvAUd4vjp4PwOw7KPbUnmwGi3d2nQsBaTG69kl1cDFY5v0h
 cHFcgMS2bbJ4RZ5Vs+NWkBrJoFc4mi6aFXzSN2R0NPmBQKov+z9F+gb17w8DF+b0tSjroAeFg
 0qtIctzoUo359s5VZf8eEVzSv2iQbwExCy2680BLcwTUJKkcBueh6Dn2rEMoNvOz80knNoHLu
 w4d6M/C1ZlYwiBZFiceOR6V2NdAMoMQB/HbAJ80hG6p4tfMnP2ddp8sOgwMQlc/p669j6nCWe
 OIgHrt9foZ+r2bOEH3DmS5rFd90IfnrDHqehoIYWtTh6R3SvtHVnefxFpZhJiXDHo/EfqIWzG
 DYTkcG/eI9O6bO74gjeEaPI04KVsQXSu1+9kCq4TaRoqtOQYrmonpCYqg==
X-Spam-Score: 0.0 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

 > RM>  - Send me a diff of your "emacs with bug" and your "emacs without bug".

Sorry but what I meant here is that you should send me the output of the
diff program for the codes, that is the differences when comparing the
_code_ of the "emacs without bug" and the _code_ of "emacs with bug".  I
cannot guess that from here because I cannot simply revert commit
483c5e953c12a95382bef4a3b6769a680c32fe86 here - it gets me a conflict
with a later commit.

When you send me the differences between the two versions, I hopefully
will be able to figure out why they behave differently when run.  So
please don't _run_ emacs for this purpose but tell me what the static
differences between these two versions are.  And don't hesitate to ask
if this request was unclear again.

 > RM>  I cannot imagine how Emacs can get there without producing any recorded
 > RM>  events before or after it so it would be very interesting to find out
 > RM>  how it got there in the first place.
 >
 > This one?
 >
 > (gdb) bt
 > #0  builtin_lisp_symbol (index=0) at lisp.h:1008
 > #1  0x0000000000573854 in x_make_frame_visible (f=0x12815e8) at xterm.c:11686
 > #2  0x0000000000574044 in x_make_frame_visible_invisible
 >      (f=0x12815e8, visible=true) at xterm.c:11898
 > #3  0x000000000043bf11 in Fmake_frame_visible (frame=0x12815ed) at frame.c:2718
 > #4  0x000000000068f99d in funcall_subr
 >      (subr=0xe571c0 <Smake_frame_visible>, numargs=1, args=0x7fffffffa250)
 >      at eval.c:3126
 > #5  0x000000000068f47e in Ffuncall (nargs=2, args=0x7fffffffa248)
 >      at eval.c:3051
[...]
 > #39 0x00000000005b4856 in top_level_2 () at keyboard.c:1126
 > #40 0x000000000068af6d in internal_condition_case
 >      (bfun=0x5b4833 <top_level_2>, handlers=0x90, hfun=0x5b4100 <cmd_error>)
 >      at eval.c:1478
 > #41 0x00000000005b489a in top_level_1 (ignore=0x0) at keyboard.c:1134
 > #42 0x000000000068a1c2 in internal_catch
 >      (tag=0xe730, func=0x5b4858 <top_level_1>, arg=0x0) at eval.c:1198
 > --Type <RET> for more, q to quit, c to continue without paging--
 > #43 0x00000000005b478b in command_loop () at keyboard.c:1094
 > #44 0x00000000005b3be1 in recursive_edit_1 () at keyboard.c:720
 > #45 0x00000000005b3deb in Frecursive_edit () at keyboard.c:792
 > #46 0x00000000005afea6 in main (argc=1, argv=0x7fffffffd568) at emacs.c:2310

This one, right.  It still leaves me with the mystery that
`frame-size-history' does not record a single event whenever you switch
desktops.

Thanks, martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Tue, 31 Aug 2021 16:52:02 +0000
Resent-Message-ID: <handler.49959.B49959.163042870730092 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN, 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.163042870730092
          (code B ref 49959); Tue, 31 Aug 2021 16:52:02 +0000
Received: (at 49959) by debbugs.gnu.org; 31 Aug 2021 16:51:47 +0000
Received: from localhost ([127.0.0.1]:35316 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mL6zD-0007pF-3U
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 12:51:47 -0400
Received: from mout.gmx.net ([212.227.15.19]:45217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mL6z9-0007of-T7
 for 49959 <at> debbugs.gnu.org; Tue, 31 Aug 2021 12:51:46 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630428697;
 bh=kksuGA0W7fpRlVAky/f29zle19skAkib0tMRNSTzduc=;
 h=X-UI-Sender-Class:Subject:To:References:From:Date:In-Reply-To;
 b=PYeBl/8eW0kR1+eTSOGgb8eUDgqTd/8JhGhyESQKWy+hIdbMmzfWHyElkiHm5NzNG
 Rdyqe+pz6t1l/0ZIn0DotHQVNVX8MH5ZHb6qB0BvKCPY9syrMADBxEtzMgm9g/9Be8
 zywI+1aX80Q4IbxhFmyU4cu/AU3lLBcrZxQKHjqc=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([213.142.97.37]) by mail.gmx.net (mrgmx005
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MCKFk-1mBnKM3XRi-009Lta; Tue, 31
 Aug 2021 18:51:36 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
 <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
 <877dg580px.wl-nomiya@HIDDEN>
 <1fc12f13-1666-d775-f695-f353fd2f8738@HIDDEN>
 <875yvo8ywt.wl-nomiya@HIDDEN>
 <89382a57-874e-81ed-d71f-8301db63ba48@HIDDEN>
 <87h7f5oq0p.wl-m.nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <6e2372de-749c-889d-98a5-45da734d3d1c@HIDDEN>
Date: Tue, 31 Aug 2021 18:51:35 +0200
MIME-Version: 1.0
In-Reply-To: <87h7f5oq0p.wl-m.nomiya@HIDDEN>
Content-Type: multipart/mixed; boundary="------------607630CE65F93A7CAA867387"
Content-Language: en-US
X-Provags-ID: V03:K1:5jG7FBJxosbup+6JUuMIcDjHphhZRBTOfIya+9+0o/5PAoOBtoj
 UWrUbEh8oV3TLJ/3vk4UzyBxW8In0zDZzPxWO8xW3VOlZu6oyvOenCntbgg5tBRU508By/F
 dt4prQB3/+1+SWX5D9Tfqb5+FGUfAYFt/fmdKjz/AR2QPXnLWeDlxgafZPaH1d7g7XqIQiq
 lXYV3774cINYIQIlSUH5g==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:rfPDFwffqG4=:b9dO4JE7B68Xb0eEDf9Xo2
 5VZYnTYVs4h9bw1P/O67+Va4RagszI8/shfbIGEnJhTB/wo2vJn7QBbRLWIb2D8PMF4TKKQ7+
 VqkPtJ85BTGHKt9Qdv/exEFgcUMg2qw5CsZnLo6vtIDYdcpLl1B968elbOmui+BAj0D5kmd+P
 2B+UZbReWV0lKiMYQDzypQttDAglHPY1XJnUHOpt/SI0tSkdRDoo2QBR/oWhHmJDZhaMI0CZf
 gBpXYZDu5vPjATKfH9MwjAXJICg1ZlYF17LrBy/vH4otleLSzJJnyAcUu+S54UXR0ygDX3FpI
 yICtnsoYDun+0AtMxJ2URdvjXvAR53hmUQH7/GMVlD5n7Un7UPQjGcOeQ8YOZk56dQDAmyHSw
 DRn/lvOBegkh4L3tLgXaljlWAWLeD44rS1ok59uFu9OF4TfDGdxfc2DliNabbFcP6EWTaQWDr
 IsaV31LEuiD1hzGMCN0mJTtxpYNXnvk8rW2OFVVIN/BkUWe8yIGXr+pXTTGYtZgBM4layEE0B
 lFKjOl2NAqf7TKb1m/M2z7p4iqGKbXIU6ZxmQujnQXHDwVKhvzAohHOeG9wZZ8t/udv2Swirx
 17qtVzRg8s5eX6TAT0R1q1eULMM00VNrsq1riHdp47GzgZsGUzFS/HPNOIEhbSO95PMDrI8Wa
 ujFYeETI/wUtM7ue9YCj+yzgt7SuuVaYWXqSDtH12+zQ2NeAIknZs9DdBQIo54MHIOlSbuttM
 U5DK5dUFCUFhSfXys0MreiP68qnUgE4tUN5tznxDeJNxBgHquA0Nq57JqAiWjgTqr5/lxYvhP
 8fJyodZAJt84dFjfiU8TkBRy3GjKAXtFHvIXjKRnF9S2uuD+lYfv577qMfhksYzQ25Lxdo/Xx
 Yqj7Ma1OA76tWLNha8uZRIyXPcbJtSogrdqU4m2FqH/2AHDxrY4rcLcjTnWIHfMD0YIp5QLxh
 ADej+N6YLo8nXXTiNU3bMdEzxPOxAicVnc9orM96wfCmRUMSKoaKznJyqI/GrogME+QukuFrQ
 +a2w/7YbiocPQzGpgpIYnJIKXMpqYMZV/pRbmKqp/lBz1caswOphD7h+4h+1pV+Rc5N3F9fn1
 OtG015xUVuFJvllsr98Cp5UceqvWHtSvIvxOGZodIfb0TsA3tKObR/YnQ==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

This is a multi-part message in MIME format.
--------------607630CE65F93A7CAA867387
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Transfer-Encoding: 7bit

 > The problem maybe be fixed, I feel.
 >
 > Sorry, I don't know the confirming method.
 > But, I've never got the rendering issue since applying your patch.
 >
 > Is this fine?

Hopefully.  It doesn't break the behavior under xfce/xfwm4.  I yet have
to test with Gnome and Plasma.  Meanwhile please do the following:

Apply the attached patch which adds a few diagnostics.  Then evaluate

   (setq frame-size-history '(100))

switch to the other virtual desktop, switch back to the Emacs
desktop, evaluate

   (frame--size-history frame)
   (pop-to-buffer "*frame-size-history*")

and tell me what *frame-size-history* contains now.

Then please do the same with Emacs _not_ focused before switching to the
other desktop.

And please also try the following: With emacs -Q put into *scratch*
the lines

(setq frame (make-frame))
(frame-visible-p frame)
(make-frame-invisible frame)
(make-frame-visible frame)
(iconify-frame frame)

Now use C-x C-e after any of these forms to first make FRAME and, for
example, make FRAME invisible, then make it iconified, then make it
visible and so on.  After every step use the `frame-visible-p' form to
check what Emacs thinks FRAME is.  If you find a transition that you
think is not correct, please tell me.

Thanks again, martin

--------------607630CE65F93A7CAA867387
Content-Type: text/x-patch;
 name="FocusIn.diff"
Content-Transfer-Encoding: quoted-printable
Content-Disposition: attachment;
 filename="FocusIn.diff"

diff --git a/src/w32term.c b/src/w32term.c
index 8eb90669d5..9663628045 100644
=2D-- a/src/w32term.c
+++ b/src/w32term.c
@@ -6889,11 +6889,6 @@ w32_make_frame_invisible (struct frame *f)

   my_show_window (f, FRAME_W32_WINDOW (f), SW_HIDE);

-  /* We can't distinguish this from iconification
-     just by the event that we get from the server.
-     So we can't win using the usual strategy of letting
-     FRAME_SAMPLE_VISIBILITY set this.  So do it by hand,
-     and synchronize with the server to make sure we agree.  */
   SET_FRAME_VISIBLE (f, 0);
   SET_FRAME_ICONIFIED (f, false);

diff --git a/src/xdisp.c b/src/xdisp.c
index 049d5ed7b5..b6baf4fd27 100644
=2D-- a/src/xdisp.c
+++ b/src/xdisp.c
@@ -15429,9 +15429,6 @@ redisplay_internal (void)
       FRAME_TTY (sf)->previous_frame =3D sf;
     }

-  /* Set the visible flags for all frames.  Do this before checking for
-     resized or garbaged frames; they want to know if their frames are
-     visible.  See the comment in frame.h for FRAME_SAMPLE_VISIBILITY.  *=
/
   number_of_visible_frames =3D 0;

   FOR_EACH_FRAME (tail, frame)
diff --git a/src/xterm.c b/src/xterm.c
index 6c6a62adb2..d5e40ffcc8 100644
=2D-- a/src/xterm.c
+++ b/src/xterm.c
@@ -8243,12 +8243,32 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       f =3D x_window_to_frame (dpyinfo, event->xexpose.window);
       if (f)
         {
+	  if (CONSP (frame_size_history))
+	    {
+	      if (FRAME_VISIBLE_P (f))
+		frame_size_history_plain
+		  (f, build_string ("Expose, visible"));
+	      else
+		frame_size_history_plain
+		  (f, build_string ("Expose, not visible"));
+	    }
+
           if (!FRAME_VISIBLE_P (f))
             {
               block_input ();
 	      /* The following two are commented out to avoid that a
 		 plain invisible frame gets reported as iconified.  That
-		 problem occurred first for Emacs 26 and is described in
+		 problem occurred first for Emacs 26 with GTK3 and is
+		 the result of the following actions:
+
+		 (1) x_make_frame_invisible sets f->visible to 0.
+
+		 (2) We get an (unexpected) Expose event for f and here
+		     set f->visible to 1.
+
+		 (3) The subsequent UnmapNotify event finds f->visible
+		     is 1 and sets f->iconified true.
+
 		 https://lists.gnu.org/archive/html/emacs-devel/2017-02/msg00133.html. =
 */
 /** 	      SET_FRAME_VISIBLE (f, 1); **/
 /** 	      SET_FRAME_ICONIFIED (f, false); **/
@@ -8839,26 +8859,24 @@ handle_one_xevent (struct x_display_info *dpyinfo,
       goto OTHER;

     case FocusIn:
-#ifndef USE_GTK
       /* Some WMs (e.g. Mutter in Gnome Shell), don't unmap
          minimized/iconified windows; thus, for those WMs we won't get
          a MapNotify when unminimizing/deconifying.  Check here if we
-         are deiconizing a window (Bug42655).
-
-	 But don't do that on GTK since it may cause a plain invisible
-	 frame get reported as iconified, compare
-	 https://lists.gnu.org/archive/html/emacs-devel/2017-02/msg00133.html.
-	 That is fixed above but bites us here again.  */
+         are deiconifying a window (Bug42655).  */
       f =3D any;
+      /* Should we handle invisible frames here too?  */
       if (f && FRAME_ICONIFIED_P (f))
 	{
+	  if (CONSP (frame_size_history))
+	    frame_size_history_plain
+	      (f, build_string ("FocusIn, was iconified"));
+
           SET_FRAME_VISIBLE (f, 1);
           SET_FRAME_ICONIFIED (f, false);
           f->output_data.x->has_been_visible =3D true;
           inev.ie.kind =3D DEICONIFY_EVENT;
           XSETFRAME (inev.ie.frame_or_window, f);
         }
-#endif /* USE_GTK */

       x_detect_focus_change (dpyinfo, any, event, &inev.ie);
       goto OTHER;
@@ -11936,11 +11954,6 @@ x_make_frame_invisible (struct frame *f)

   x_sync (f);

-  /* We can't distinguish this from iconification
-     just by the event that we get from the server.
-     So we can't win using the usual strategy of letting
-     FRAME_SAMPLE_VISIBILITY set this.  So do it by hand,
-     and synchronize with the server to make sure we agree.  */
   SET_FRAME_VISIBLE (f, 0);
   SET_FRAME_ICONIFIED (f, false);


--------------607630CE65F93A7CAA867387--




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Sep 2021 00:22:01 +0000
Resent-Message-ID: <handler.49959.B49959.16304556821705 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: rudalics@HIDDEN
Cc: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16304556821705
          (code B ref 49959); Wed, 01 Sep 2021 00:22:01 +0000
Received: (at 49959) by debbugs.gnu.org; 1 Sep 2021 00:21:22 +0000
Received: from localhost ([127.0.0.1]:35683 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLE0I-0000RR-4Q
	for submit <at> debbugs.gnu.org; Tue, 31 Aug 2021 20:21:22 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:45499
 helo=vsmtp02.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mLE0D-0000RD-Uq
 for 49959 <at> debbugs.gnu.org; Tue, 31 Aug 2021 20:21:20 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-71.cdn77.com
 [156.146.34.71] (may be forged)) by vsmtp02.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 1810LEC8024251; Wed, 1 Sep 2021 09:21:14 +0900 (JST)
Date: Wed, 01 Sep 2021 09:21:14 +0900
Message-ID: <87fsupp2md.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <6e2372de-749c-889d-98a5-45da734d3d1c@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <ea89e7fd-91f1-362e-7fdc-0be58e044390@HIDDEN>
 <8735r3idtj.wl-nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
 <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
 <877dg580px.wl-nomiya@HIDDEN>
 <1fc12f13-1666-d775-f695-f353fd2f8738@HIDDEN>
 <875yvo8ywt.wl-nomiya@HIDDEN>
 <89382a57-874e-81ed-d71f-8301db63ba48@HIDDEN>
 <87h7f5oq0p.wl-m.nomiya@HIDDEN>
 <6e2372de-749c-889d-98a5-45da734d3d1c@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: Diff file (Was:
 Re: bug#49959: 28.0.50; Emacs got quasi freeze) Message-ID : Date & Time:
 Tue, 31 Aug 2021 18:51:35 +0200 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
  Message-ID : <6e2372de-749c-889d-98a5-45da734d3d1c@HIDDEN>
  Date & Time: Tue, 31 Aug 2021 18:51:35 +0200

[MR] == martin rudalics <rudalics@HIDDEN> has written:

MN> > The problem maybe be fixed, I feel.
MN> >
MN> > Sorry, I don't know the confirming method.
MN> > But, I've never got the rendering issue since applying your patch.
MN> >
MN> > Is this fine?

MR>  Hopefully.  It doesn't break the behavior under xfce/xfwm4.  I yet have
MR>  to test with Gnome and Plasma.  Meanwhile please do the following:

MR>  Apply the attached patch which adds a few diagnostics.  Then evaluate

MR>    (setq frame-size-history '(100))

MR>  switch to the other virtual desktop, switch back to the Emacs
MR>  desktop, evaluate

MR>    (frame--size-history frame)
MR>    (pop-to-buffer "*frame-size-history*")

MR>  and tell me what *frame-size-history* contains now.

#<buffer *frame-size-history*>

MR>  Then please do the same with Emacs _not_ focused before switching to the
MR>  other desktop.

MR>  And please also try the following: With emacs -Q put into *scratch*
MR>  the lines

MR>  (setq frame (make-frame))
MR>  (frame-visible-p frame)
MR>  (make-frame-invisible frame)
MR>  (make-frame-visible frame)
MR>  (iconify-frame frame)

MR>  Now use C-x C-e after any of these forms to first make FRAME and, for
MR>  example, make FRAME invisible, then make it iconified, then make it
MR>  visible and so on.  After every step use the `frame-visible-p' form to
MR>  check what Emacs thinks FRAME is.  If you find a transition that you
MR>  think is not correct, please tell me.

The transition is corrext, and FRAME is *scratch*.

Thanks.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "Bill! You married with Computer.
          Not with Me!"
         "No..., with money."




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
Resent-From: martin rudalics <rudalics@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Sep 2021 09:18:01 +0000
Resent-Message-ID: <handler.49959.B49959.16304878576456 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: m.nomiya@HIDDEN
Cc: 49959 <at> debbugs.gnu.org
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16304878576456
          (code B ref 49959); Wed, 01 Sep 2021 09:18:01 +0000
Received: (at 49959) by debbugs.gnu.org; 1 Sep 2021 09:17:37 +0000
Received: from localhost ([127.0.0.1]:36305 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLMNF-0001fp-1I
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 05:17:37 -0400
Received: from mout.gmx.net ([212.227.15.18]:38217)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <rudalics@HIDDEN>) id 1mLMND-0001aM-Hw
 for 49959 <at> debbugs.gnu.org; Wed, 01 Sep 2021 05:17:36 -0400
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/simple; d=gmx.net;
 s=badeba3b8450; t=1630487848;
 bh=QdfhAHR05OO/7DfG/GnljxRZaj/Oc1vOTR8N1qbrjkM=;
 h=X-UI-Sender-Class:Subject:To:Cc:References:From:Date:In-Reply-To;
 b=hEdLsNy0pdvh0Vjq1cBWwfaU3DZGjDs92wOdP+GdaoO9u6nl2sGBBUyJ4wETvmDwK
 LeHOigJzXNkdfpPjfM92dUjfOK9bO2IVMmd1rsw+wb3Ic3d81KxwNP6CioLgovjWS8
 1idnz+8sK/apiymz+/0W6QJr5YvqIpgaXjiyW0EU=
X-UI-Sender-Class: 01bb95c1-4bf8-414a-932a-4f6e2808ef9c
Received: from [192.168.1.102] ([213.142.96.44]) by mail.gmx.net (mrgmx004
 [212.227.17.190]) with ESMTPSA (Nemesis) id 1MowGa-1mmVJW39mI-00qQqI; Wed, 01
 Sep 2021 11:17:28 +0200
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
 <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
 <877dg580px.wl-nomiya@HIDDEN>
 <1fc12f13-1666-d775-f695-f353fd2f8738@HIDDEN>
 <875yvo8ywt.wl-nomiya@HIDDEN>
 <89382a57-874e-81ed-d71f-8301db63ba48@HIDDEN>
 <87h7f5oq0p.wl-m.nomiya@HIDDEN>
 <6e2372de-749c-889d-98a5-45da734d3d1c@HIDDEN>
 <87fsupp2md.wl-nomiya@HIDDEN>
From: martin rudalics <rudalics@HIDDEN>
Message-ID: <c488002b-a106-5634-9835-201a63aa3d35@HIDDEN>
Date: Wed, 1 Sep 2021 11:17:27 +0200
MIME-Version: 1.0
In-Reply-To: <87fsupp2md.wl-nomiya@HIDDEN>
Content-Type: text/plain; charset=utf-8; format=flowed
Content-Language: en-US
Content-Transfer-Encoding: 7bit
X-Provags-ID: V03:K1:JEU2gdiY1hs1PYtRDfxcZ3BtBkbZrHmUDJRIWaxI0XEdiJY9XD+
 uxEN8Gv2XuV70QNbRmxtBWMwPBsZXU1m0Y9RPO2oDCSJFOy3ubvvUa9wgtCobeh0XH2GdBi
 JNWvXefI9tl+NSCChS1rSm+qXHVBrb/xZ61/Zo95LHYICYpYTH4srnXzuo3Ng0+8rC2yL98
 ugwbo32Dqf8JpCBrDYjLg==
X-Spam-Flag: NO
X-UI-Out-Filterresults: notjunk:1;V03:K0:wKlaqzy/ZyI=:Qx/H0Ml3rrL6WF1PM+oEOb
 BQwIk6knTGjdxMyjoe7k8TgSjatTHIc5aUnxMsDAs1svE7j4ki/5yYS2/AOKu0Qq9WZlRrVIC
 2NHX71QdeNbYIl3XRrqL6GBu1GYbF1XcwZtU0zESAksJoMqxOst+sYms7lUjmOOOl9xp2ZZ96
 4PRn6QaOSbRaJyjk6IvX53DJR7f2zE4vbNZWJrhVwbZdKv1pxVz3gdCF9HS3gmhwuZfUZB/iR
 amxHGh+kMGC+O7a9uXBTA8hMr9Zgo8QJ1KTScItRpuEc+If0rrqZlMAMSdSZngkE0dfEHQa50
 o9BgBXJOVyJcL2HmyomFdNLl2O5hbLHXSda2kUHnID/CUs3YAgDdg0Ho9+a3dnrvOmdTVu2ar
 GOOHeAFRMMvUB+H8pBwRhVPVbUlJy/y7EuWjo9m/GjUc6KBKEIw8F2ChMLJFfkA2oiAdVElqW
 J7nY7VwIqWtt6vHHS2TZ5SSmxaKIrd7ruKzVgmEnEWwmxEDEAGwrlmbVtLagjhIy69oEqazkK
 Rs2SuB/uL6QC13avzdF4KzUXRYmsDsZmtKiOgONOJctOJ13AL8NG4qj7xm1DJI5z3LrMy9bEI
 tlMaB9XFYxxKadJ08H5u5oG9ZdXReO/t4nCk14jUd6sXyHrEEOedpVdU2upjP8ytPVermbcHQ
 68tP4XcfZVBQNwhvMuR62fC69ISN825xCl2hxLnOod8bP3iIbD0IX9u8mIf0QWK3N4kuWqsZV
 GfoNbZ35RSUn6asDep3zlRXRZW64P25LOjjThT0YHLXlu72mZ+Ey/A7+He0YtJx76Zie5HqYv
 /8PXQ+t3JweEEbWySu9o8s5K+2d0Cay2hLxzoYy7bLPgs+HAc7jp1WyBEVplVU4yDt12e6Q5V
 /GcyLqoYKygpBSUtVi9h9Kxi8VFJtZKw1i9uvwnPuq7riAP3kZI9xHLkqEmhrd/QnJrVhxTYL
 6AbIBcnafNIQfKSmlLwHuiomfazvc+6NjUdZn7GXY7WJcXuVa47PphqdqSHc06bHO32+I5j4Z
 4ZQ5F9YWgc0iP87zVKphT400SY6G1VwVojN8wvgOHv8k1FoZaojsAEvmuR3eE3G6E3jUb21Ru
 jtqunmmRa/UrlHYKqv+GOR7NxH8eQKJdYMkq5QLM3Gd+duVsjAgRJBgMw==
X-Spam-Score: -0.7 (/)
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.7 (-)

 > MR>  Hopefully.  It doesn't break the behavior under xfce/xfwm4.  I yet have
 > MR>  to test with Gnome and Plasma.  Meanwhile please do the following:
 >
 > MR>  Apply the attached patch which adds a few diagnostics.  Then evaluate
 >
 > MR>    (setq frame-size-history '(100))
 >
 > MR>  switch to the other virtual desktop, switch back to the Emacs
 > MR>  desktop, evaluate
 >
 > MR>    (frame--size-history frame)
                               ^^^^^
This was a bug on my side ...

 > MR>    (pop-to-buffer "*frame-size-history*")
 >
 > MR>  and tell me what *frame-size-history* contains now.
 >
 > #<buffer *frame-size-history*>

... so please try again with:

Then evaluate

   (setq frame-size-history '(100))

switch to the other virtual desktop, switch back to the Emacs
desktop, evaluate

   (frame--size-history)
   (pop-to-buffer "*frame-size-history*")

and tell me what *frame-size-history* contains now.

 > MR>  And please also try the following: With emacs -Q put into *scratch*
 > MR>  the lines
 >
 > MR>  (setq frame (make-frame))
 > MR>  (frame-visible-p frame)
 > MR>  (make-frame-invisible frame)
 > MR>  (make-frame-visible frame)
 > MR>  (iconify-frame frame)
 >
 > MR>  Now use C-x C-e after any of these forms to first make FRAME and, for
 > MR>  example, make FRAME invisible, then make it iconified, then make it
 > MR>  visible and so on.  After every step use the `frame-visible-p' form to
 > MR>  check what Emacs thinks FRAME is.

Silly me again: I meant "what Emacs thinks in what state FRAME is"
namely, not visible (nil), iconified (icon), or visible (t).

 > If you find a transition that you
 > MR>  think is not correct, please tell me.
 >
 > The transition is corrext, and FRAME is *scratch*.

I meanwhile got around installing Enlightenment here and note that I
cannot deiconify a frame via

(iconify-frame frame)
(make-frame-visible frame)

The frame stays iconified.  Can you confirm?  I see the same behavior
with GNOME shell - so maybe this is expected and was so ever since.

martin




Message sent to bug-gnu-emacs@HIDDEN:


X-Loop: help-debbugs@HIDDEN
Subject: bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
Resent-From: Masaru Nomiya <nomiya@HIDDEN>
Original-Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
Resent-CC: bug-gnu-emacs@HIDDEN
Resent-Date: Wed, 01 Sep 2021 10:06:02 +0000
Resent-Message-ID: <handler.49959.B49959.16304907354234 <at> debbugs.gnu.org>
Resent-Sender: help-debbugs@HIDDEN
X-GNU-PR-Message: followup 49959
X-GNU-PR-Package: emacs
X-GNU-PR-Keywords: moreinfo
To: 49959 <at> debbugs.gnu.org
Reply-To: m.nomiya@HIDDEN
Received: via spool by 49959-submit <at> debbugs.gnu.org id=B49959.16304907354234
          (code B ref 49959); Wed, 01 Sep 2021 10:06:02 +0000
Received: (at 49959) by debbugs.gnu.org; 1 Sep 2021 10:05:35 +0000
Received: from localhost ([127.0.0.1]:36407 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLN7a-000168-8Y
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 06:05:35 -0400
Received: from gw2.cm.dream.jp ([59.157.133.2]:62385
 helo=vsmtp01.cm2.dti.ne.jp)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <nomiya@HIDDEN>) id 1mLN7T-00015e-Kx
 for 49959 <at> debbugs.gnu.org; Wed, 01 Sep 2021 06:05:28 -0400
Received: from linux-egwc.galaxy.dti.ne.jp (unn-156-146-34-31.cdn77.com
 [156.146.34.31] (may be forged)) by vsmtp01.cm2.dti.ne.jp (3.11v) with ESMTP
 AUTH id 181A5KkT009792 for <49959 <at> debbugs.gnu.org>;
 Wed, 1 Sep 2021 19:05:20 +0900 (JST)
Date: Wed, 01 Sep 2021 19:05:20 +0900
Message-ID: <87y28g6273.wl-nomiya@HIDDEN>
From: Masaru Nomiya <nomiya@HIDDEN>
In-Reply-To: <c488002b-a106-5634-9835-201a63aa3d35@HIDDEN>
References: <87r1f3vv5r.wl-m.nomiya@HIDDEN>
 <871r6ni8z5.wl-nomiya@HIDDEN>
 <824dbfdc-e25a-5884-69a0-e5d4e9bc9d48@HIDDEN>
 <1df6be5b-7041-d70f-1ae7-8e792b8147b5@HIDDEN>
 <b0008bc4-4715-5313-2e10-5631092437a1@HIDDEN>
 <87ilzxdqhi.wl-nomiya@HIDDEN>
 <ed3f250a-e125-a1de-45d9-2dc938214743@HIDDEN>
 <87o89nmyfr.wl-nomiya@HIDDEN>
 <87mtp78pzk.wl-nomiya@HIDDEN>
 <35b2918d-5755-01e0-ecc9-ec543ee83299@HIDDEN>
 <87mtp7f2bm.wl-nomiya@HIDDEN>
 <3876ce8f-bbdb-ccbb-815b-c61e4133f1a8@HIDDEN>
 <87czq1vldp.wl-nomiya@HIDDEN>
 <efb0856c-a7f7-3023-f00a-7fbe9271dd4d@HIDDEN>
 <87fsuxhx2e.wl-nomiya@HIDDEN>
 <bb2698b1-0f95-b661-f40a-8cb8dad20807@HIDDEN>
 <877dg580px.wl-nomiya@HIDDEN>
 <1fc12f13-1666-d775-f695-f353fd2f8738@HIDDEN>
 <875yvo8ywt.wl-nomiya@HIDDEN>
 <89382a57-874e-81ed-d71f-8301db63ba48@HIDDEN>
 <87h7f5oq0p.wl-m.nomiya@HIDDEN>
 <6e2372de-749c-889d-98a5-45da734d3d1c@HIDDEN>
 <87fsupp2md.wl-nomiya@HIDDEN>
 <c488002b-a106-5634-9835-201a63aa3d35@HIDDEN>
User-Agent: Wanderlust/2.15.9 (Almost Unreal) SEMI-EPG/1.14.7 (Harue)
 FLIM-LB/1.14.9 (=?UTF-8?Q?Goj=C5=8D?=) APEL-LB/10.8 EasyPG/1.0.0
 Emacs/28.0.50 (x86_64-openSUSE-linux-gnu) MULE/6.0 (HANACHIRUSATO)
X-cite: carm 20
X-cite-me: MN
X-C-sig-version: Using c-sig version 3.8
MIME-Version: 1.0 (generated by SEMI-EPG 1.14.7 - "Harue")
Content-Type: text/plain; charset=ISO-2022-JP
X-Spam-Score: 2.5 (++)
X-Spam-Report: Spam detection software, running on the system "debbugs.gnu.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 the administrator of that system for details.
 Content preview:  Hello, In the Message; Subject : bug#49959: Diff file (Was:
 Re: bug#49959: 28.0.50; Emacs got quasi freeze) Message-ID : Date & Time:
 Wed, 1 Sep 2021 11:17:27 +0200 
 Content analysis details:   (2.5 points, 10.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -0.0 SPF_PASS               SPF: sender matches SPF record
 0.0 SPF_HELO_NONE          SPF: HELO does not publish an SPF Record
 2.5 FREEMAIL_FORGED_REPLYTO Freemail in Reply-To, but not From
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.0 (-)

Hello,

In the Message; 

  Subject    : bug#49959: Diff file (Was: Re: bug#49959: 28.0.50; Emacs got quasi freeze)
  Message-ID : <c488002b-a106-5634-9835-201a63aa3d35@HIDDEN>
  Date & Time: Wed, 1 Sep 2021 11:17:27 +0200

[MR] == martin rudalics <rudalics@HIDDEN> has written:

[...]
MR>  ... so please try again with:

MR>  Then evaluate

MR>    (setq frame-size-history '(100))

MR>  switch to the other virtual desktop, switch back to the Emacs
MR>  desktop, evaluate

MR>    (frame--size-history)
MR>    (pop-to-buffer "*frame-size-history*")

MR>  and tell me what *frame-size-history* contains now.

Here it is.

Frame size history of #<frame *scratch* - GNU Emacs at linux-egwc 0x2b24880>
set_window_configuration (4), MS=140x150 IH IV
Expose, visible
#<buffer *frame-size-history*>

[...]
MR>>> If you find a transition that you
MR>>>  think is not correct, please tell me.

MN> > The transition is corrext, and FRAME is *scratch*.

MR>  I meanwhile got around installing Enlightenment here and note that I
MR>  cannot deiconify a frame via

MR>  (iconify-frame frame)
MR>  (make-frame-visible frame)

MR>  The frame stays iconified.  Can you confirm? 

Yes, I can confirm it.

MR> I see the same behavior with GNOME shell - so maybe this is
MR> expected and was so ever since.

Is it?

Anyway, thanks.

---
┏━━┓彡 Masaru Nomiya             mail-to: nomiya @ galaxy.dti.ne.jp
┃\/彡
┗━━┛ "No Windows, no gains!" ..... "Why, I am wrong?"
        
                                          -- Bill --




Message received at control <at> debbugs.gnu.org:


Received: (at control) by debbugs.gnu.org; 1 Sep 2021 11:11:57 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Sep 01 07:11:57 2021
Received: from localhost ([127.0.0.1]:36508 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.84_2)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1mLO9t-00052m-Hb
	for submit <at> debbugs.gnu.org; Wed, 01 Sep 2021 07:11:57 -0400
Received: from quimby.gnus.org ([95.216.78.240]:59180)
 by debbugs.gnu.org with esmtp (Exim 4.84_2)
 (envelope-from <larsi@HIDDEN>) id 1mLO9r-00052Z-VP
 for control <at> debbugs.gnu.org; Wed, 01 Sep 2021 07:11:56 -0400
DKIM-Signature: v=1; a=rsa-sha256; q=dns/txt; c=relaxed/relaxed; d=gnus.org;
 s=20200322; h=Subject:From:To:Message-Id:Date:Sender:Reply-To:Cc:
 MIME-Version:Content-Type:Content-Transfer-Encoding:Content-ID:
 Content-Description:Resent-Date:Resent-From:Resent-Sender:Resent-To:Resent-Cc
 :Resent-Message-ID:In-Reply-To:References:List-Id:List-Help:List-Unsubscribe:
 List-Subscribe:List-Post:List-Owner:List-Archive;
 bh=hfiPiW0okJBIjHVOoVcAOJc8rNiBSpScasmHa+tFlTI=; b=L0HYEdGW802gzTGFcrs4qdWjBZ
 g2IlqxNSqcPlNkwfr9paDeRyjRqlUJQwC1tdu6LPUht68Nty8zjk5Z2ExarE3s+V8mCjonJkiydYg
 uOq2/WJNlOd5Lu7IQlrzXsWCubsCyG3YfZIgmFz8QKR5M8vrruVR7f5P24JMWiXqIKzA=;
Received: from [84.212.220.105] (helo=elva)
 by quimby.gnus.org with esmtpsa (TLS1.3:ECDHE_RSA_AES_256_GCM_SHA384:256)
 (Exim 4.92) (envelope-from <larsi@HIDDEN>) id 1mLO9j-0002CY-1H
 for control <at> debbugs.gnu.org; Wed, 01 Sep 2021 13:11:49 +0200
Date: Wed, 01 Sep 2021 13:11:45 +0200
Message-Id: <87ilzkeej2.fsf@HIDDEN>
To: control <at> debbugs.gnu.org
From: Lars Ingebrigtsen <larsi@HIDDEN>
Subject: control message for bug #49955
X-Spam-Report: Spam detection software, running on the system "quimby.gnus.org",
 has NOT identified this incoming email as spam.  The original
 message has been attached to this so you can view it or label
 similar future email.  If you have any questions, see
 @@CONTACT_ADDRESS@@ for details.
 Content preview:  tags 49955 - moreinfo quit 
 Content analysis details:   (-2.9 points, 5.0 required)
 pts rule name              description
 ---- ---------------------- --------------------------------------------------
 -1.0 ALL_TRUSTED            Passed through trusted hosts only via SMTP
 -1.9 BAYES_00               BODY: Bayes spam probability is 0 to 1%
 [score: 0.0000]
X-Spam-Score: -2.3 (--)
X-Debbugs-Envelope-To: control
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.18
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <https://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <https://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <https://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -3.3 (---)

tags 49955 - moreinfo
quit






Last modified: Wed, 1 Sep 2021 11:15:02 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.